
_Beep:

;MirrorClock.c,111 :: 		void Beep()
;MirrorClock.c,113 :: 		Sound_Play(300, 100);
	MOVLW       44
	MOVWF       FARG_Sound_Play_freq_in_hz+0 
	MOVLW       1
	MOVWF       FARG_Sound_Play_freq_in_hz+1 
	MOVLW       100
	MOVWF       FARG_Sound_Play_duration_ms+0 
	MOVLW       0
	MOVWF       FARG_Sound_Play_duration_ms+1 
	CALL        _Sound_Play+0, 0
;MirrorClock.c,114 :: 		}
L_end_Beep:
	RETURN      0
; end of _Beep

_interrupt:

;MirrorClock.c,118 :: 		void interrupt()
;MirrorClock.c,120 :: 		if(INT2IF_bit == 1)
	BTFSS       INT2IF_bit+0, BitPos(INT2IF_bit+0) 
	GOTO        L_interrupt0
;MirrorClock.c,122 :: 		INT2IF_bit = 0;              // clear the flag
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
;MirrorClock.c,123 :: 		while(Sleep_Switch = 0);     //check for switch release
L_interrupt1:
	BCF         RB2_bit+0, BitPos(RB2_bit+0) 
	BTFSS       RB2_bit+0, BitPos(RB2_bit+0) 
	GOTO        L_interrupt2
	GOTO        L_interrupt1
L_interrupt2:
;MirrorClock.c,124 :: 		delay_ms(600);
	MOVLW       16
	MOVWF       R11, 0
	MOVLW       57
	MOVWF       R12, 0
	MOVLW       13
	MOVWF       R13, 0
L_interrupt3:
	DECFSZ      R13, 1, 1
	BRA         L_interrupt3
	DECFSZ      R12, 1, 1
	BRA         L_interrupt3
	DECFSZ      R11, 1, 1
	BRA         L_interrupt3
	NOP
	NOP
;MirrorClock.c,125 :: 		sleep_mode = ~sleep_mode;    //toggle sleep mode
	COMF        _sleep_mode+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _sleep_mode+0 
;MirrorClock.c,126 :: 		if(!sleep_mode)              //if not sleep, wake up
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt4
;MirrorClock.c,128 :: 		asm reset;
	RESET
;MirrorClock.c,129 :: 		asm nop;
	NOP
;MirrorClock.c,130 :: 		}
L_interrupt4:
;MirrorClock.c,131 :: 		}
L_interrupt0:
;MirrorClock.c,132 :: 		}
L_end_interrupt:
L__interrupt303:
	RETFIE      1
; end of _interrupt

_Output_Strip:

;MirrorClock.c,135 :: 		void Output_Strip()
;MirrorClock.c,139 :: 		for (y = 0; y < 1440; y++)
	CLRF        R1 
	CLRF        R2 
L_Output_Strip5:
	MOVLW       5
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Output_Strip305
	MOVLW       160
	SUBWF       R1, 0 
L__Output_Strip305:
	BTFSC       STATUS+0, 0 
	GOTO        L_Output_Strip6
;MirrorClock.c,141 :: 		if (Strip[y] == 1)    //output a one
	MOVLW       _Strip+0
	ADDWF       R1, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_Strip+0)
	ADDWFC      R2, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Output_Strip8
;MirrorClock.c,143 :: 		LEDOut = 1;        //high for 800ns
	BSF         RC7_bit+0, BitPos(RC7_bit+0) 
;MirrorClock.c,145 :: 		nop
	NOP
;MirrorClock.c,146 :: 		nop
	NOP
;MirrorClock.c,147 :: 		nop
	NOP
;MirrorClock.c,148 :: 		nop
	NOP
;MirrorClock.c,149 :: 		nop
	NOP
;MirrorClock.c,150 :: 		nop
	NOP
;MirrorClock.c,151 :: 		nop
	NOP
;MirrorClock.c,153 :: 		}
	GOTO        L_Output_Strip9
L_Output_Strip8:
;MirrorClock.c,156 :: 		LEDOut = 1;       //high for 400ns
	BSF         RC7_bit+0, BitPos(RC7_bit+0) 
;MirrorClock.c,158 :: 		nop
	NOP
;MirrorClock.c,159 :: 		nop
	NOP
;MirrorClock.c,160 :: 		nop
	NOP
;MirrorClock.c,161 :: 		nop
	NOP
;MirrorClock.c,163 :: 		}
L_Output_Strip9:
;MirrorClock.c,164 :: 		LEDOut = 0;           //low
	BCF         RC7_bit+0, BitPos(RC7_bit+0) 
;MirrorClock.c,139 :: 		for (y = 0; y < 1440; y++)
	INFSNZ      R1, 1 
	INCF        R2, 1 
;MirrorClock.c,165 :: 		}
	GOTO        L_Output_Strip5
L_Output_Strip6:
;MirrorClock.c,166 :: 		delay_us(75);             //reset
	MOVLW       124
	MOVWF       R13, 0
L_Output_Strip10:
	DECFSZ      R13, 1, 1
	BRA         L_Output_Strip10
	NOP
	NOP
;MirrorClock.c,167 :: 		}
L_end_Output_Strip:
	RETURN      0
; end of _Output_Strip

_CompileLEDDataStream:

;MirrorClock.c,170 :: 		void CompileLEDDataStream()                //outputs 3 bytes for each LED
;MirrorClock.c,174 :: 		unsigned int s = 0;
	CLRF        CompileLEDDataStream_s_L0+0 
	CLRF        CompileLEDDataStream_s_L0+1 
;MirrorClock.c,176 :: 		for (j = 0; j < NumberOfLeds; j++)    //iterate thru all Leds
	CLRF        CompileLEDDataStream_j_L0+0 
L_CompileLEDDataStream11:
	MOVLW       60
	SUBWF       CompileLEDDataStream_j_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CompileLEDDataStream12
;MirrorClock.c,178 :: 		this_led = led_strip[j];
	MOVF        CompileLEDDataStream_j_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       CompileLEDDataStream_this_led_L0+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       CompileLEDDataStream_this_led_L0+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       CompileLEDDataStream_this_led_L0+2 
	MOVF        POSTINC0+0, 0 
	MOVWF       CompileLEDDataStream_this_led_L0+3 
;MirrorClock.c,179 :: 		for (z = 0; z < 24; z++)            //3 bytes, 24 bits
	CLRF        CompileLEDDataStream_z_L0+0 
L_CompileLEDDataStream14:
	MOVLW       24
	SUBWF       CompileLEDDataStream_z_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CompileLEDDataStream15
;MirrorClock.c,181 :: 		if (testbit(this_led, 23)) {Strip[s] = 1;} else {Strip[s] = 0;}  //checks for a "1" at MSB bit 24 (23)  i.e. 10000000,00000000,00000000
	BTFSS       CompileLEDDataStream_this_led_L0+2, 7 
	GOTO        L_CompileLEDDataStream17
	MOVLW       _Strip+0
	ADDWF       CompileLEDDataStream_s_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_Strip+0)
	ADDWFC      CompileLEDDataStream_s_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	MOVWF       POSTINC1+0 
	GOTO        L_CompileLEDDataStream18
L_CompileLEDDataStream17:
	MOVLW       _Strip+0
	ADDWF       CompileLEDDataStream_s_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_Strip+0)
	ADDWFC      CompileLEDDataStream_s_L0+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
L_CompileLEDDataStream18:
;MirrorClock.c,182 :: 		s++;                             // increment to next led
	INFSNZ      CompileLEDDataStream_s_L0+0, 1 
	INCF        CompileLEDDataStream_s_L0+1, 1 
;MirrorClock.c,183 :: 		this_led *= 2;                   //shift all bits left
	RLCF        CompileLEDDataStream_this_led_L0+0, 1 
	BCF         CompileLEDDataStream_this_led_L0+0, 0 
	RLCF        CompileLEDDataStream_this_led_L0+1, 1 
	RLCF        CompileLEDDataStream_this_led_L0+2, 1 
	RLCF        CompileLEDDataStream_this_led_L0+3, 1 
;MirrorClock.c,179 :: 		for (z = 0; z < 24; z++)            //3 bytes, 24 bits
	INCF        CompileLEDDataStream_z_L0+0, 1 
;MirrorClock.c,184 :: 		}
	GOTO        L_CompileLEDDataStream14
L_CompileLEDDataStream15:
;MirrorClock.c,176 :: 		for (j = 0; j < NumberOfLeds; j++)    //iterate thru all Leds
	INCF        CompileLEDDataStream_j_L0+0, 1 
;MirrorClock.c,185 :: 		}
	GOTO        L_CompileLEDDataStream11
L_CompileLEDDataStream12:
;MirrorClock.c,186 :: 		Output_Strip();
	CALL        _Output_Strip+0, 0
;MirrorClock.c,187 :: 		}
L_end_CompileLEDDataStream:
	RETURN      0
; end of _CompileLEDDataStream

_Set_Color:

;MirrorClock.c,191 :: 		void Set_Color(unsigned long g, unsigned int r, char b, char position)
;MirrorClock.c,193 :: 		led_strip[position] = (g << 16) | (r <<  8) | b;   //set data in position nominated
	MOVF        FARG_Set_Color_position+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_Set_Color_g+1, 0 
	MOVWF       R7 
	MOVF        FARG_Set_Color_g+0, 0 
	MOVWF       R6 
	CLRF        R4 
	CLRF        R5 
	MOVF        FARG_Set_Color_r+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVF        R4, 0 
	IORWF       R0, 1 
	MOVF        R5, 0 
	IORWF       R1, 1 
	MOVF        R6, 0 
	IORWF       R2, 1 
	MOVF        R7, 0 
	IORWF       R3, 1 
	MOVF        FARG_Set_Color_b+0, 0 
	IORWF       R0, 1 
	MOVLW       0
	IORWF       R1, 1 
	IORWF       R2, 1 
	IORWF       R3, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,194 :: 		}
L_end_Set_Color:
	RETURN      0
; end of _Set_Color

_BCD2UpperCh:

;MirrorClock.c,198 :: 		unsigned char BCD2UpperCh(unsigned char bcd)
;MirrorClock.c,200 :: 		return ((bcd >> 4)+ '0');
	MOVF        FARG_BCD2UpperCh_bcd+0, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       48
	ADDWF       R0, 1 
;MirrorClock.c,201 :: 		}
L_end_BCD2UpperCh:
	RETURN      0
; end of _BCD2UpperCh

_BCD2LowerCh:

;MirrorClock.c,205 :: 		unsigned char BCD2LowerCh(unsigned char bcd)
;MirrorClock.c,207 :: 		return ((bcd & 0x0f) + '0');
	MOVLW       15
	ANDWF       FARG_BCD2LowerCh_bcd+0, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 1 
;MirrorClock.c,208 :: 		}
L_end_BCD2LowerCh:
	RETURN      0
; end of _BCD2LowerCh

_read_ds1307:

;MirrorClock.c,212 :: 		unsigned short read_ds1307(unsigned short address)
;MirrorClock.c,214 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;MirrorClock.c,215 :: 		I2C1_Wr(0xD0);               //address 0x68 followed by direction bit (0 for write, 1 for read) 0x68 followed by 0 --> 0xD0
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MirrorClock.c,216 :: 		I2C1_Wr(address);
	MOVF        FARG_read_ds1307_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MirrorClock.c,217 :: 		I2C1_Repeated_Start();
	CALL        _I2C1_Repeated_Start+0, 0
;MirrorClock.c,218 :: 		I2C1_Wr(0xD1);               //0x68 followed by 1 --> 0xD1
	MOVLW       209
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MirrorClock.c,219 :: 		r_data = I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _r_data+0 
;MirrorClock.c,220 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;MirrorClock.c,221 :: 		return r_data;
	MOVF        _r_data+0, 0 
	MOVWF       R0 
;MirrorClock.c,222 :: 		}
L_end_read_ds1307:
	RETURN      0
; end of _read_ds1307

_write_ds1307:

;MirrorClock.c,226 :: 		void write_ds1307(unsigned short address,unsigned short w_data)
;MirrorClock.c,228 :: 		I2C1_Start();                // issue I2C start signal
	CALL        _I2C1_Start+0, 0
;MirrorClock.c,229 :: 		I2C1_Wr(0xD0);               // send byte via I2C (device address + W)
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MirrorClock.c,230 :: 		I2C1_Wr(address);            // send byte (address of DS1307 location)
	MOVF        FARG_write_ds1307_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MirrorClock.c,231 :: 		I2C1_Wr(w_data);             // send data (data to be written)
	MOVF        FARG_write_ds1307_w_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MirrorClock.c,232 :: 		I2C1_Stop();                 // issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;MirrorClock.c,233 :: 		}
L_end_write_ds1307:
	RETURN      0
; end of _write_ds1307

_Get_Time:

;MirrorClock.c,237 :: 		void Get_Time()
;MirrorClock.c,239 :: 		second = read_ds1307(0);     // read second
	CLRF        FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _second+0 
;MirrorClock.c,240 :: 		minute = read_ds1307(1);     // read minute
	MOVLW       1
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
;MirrorClock.c,241 :: 		hour = read_ds1307(2);       // read hour
	MOVLW       2
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
;MirrorClock.c,242 :: 		day = read_ds1307(3);        // read day
	MOVLW       3
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _day+0 
;MirrorClock.c,243 :: 		date = read_ds1307(4);       // read date
	MOVLW       4
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _date+0 
;MirrorClock.c,244 :: 		month = read_ds1307(5);      // read month
	MOVLW       5
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
;MirrorClock.c,245 :: 		year = read_ds1307(6);       // read year
	MOVLW       6
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _year+0 
;MirrorClock.c,246 :: 		}
L_end_Get_Time:
	RETURN      0
; end of _Get_Time

_Set_Initial_Time:

;MirrorClock.c,250 :: 		void Set_Initial_Time()
;MirrorClock.c,252 :: 		write_ds1307(0,0x80);               //Reset second to 0 sec. and stop Oscillator
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,253 :: 		write_ds1307(1,(Dec2Bcd(59)));      //write min
	MOVLW       59
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       1
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,254 :: 		write_ds1307(2,(Dec2Bcd(8)));      //write hour
	MOVLW       8
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       2
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,255 :: 		write_ds1307(3,(Dec2Bcd(4)));       //write day of week , 0 is sunday
	MOVLW       4
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       3
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,256 :: 		write_ds1307(4,(Dec2Bcd(21)));      //write date
	MOVLW       21
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       4
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,257 :: 		write_ds1307(5,(Dec2Bcd(5)));       //write month
	MOVLW       5
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       5
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,258 :: 		write_ds1307(6,(Dec2Bcd(15)));      //write year, last 2 digits only
	MOVLW       15
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       6
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,259 :: 		write_ds1307(7,0x00);               //TURN OFF SQWE output
	MOVLW       7
	MOVWF       FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,260 :: 		write_ds1307(0,0x00);               //0x00 Reset second to 0 sec. and start Oscillator
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,261 :: 		}
L_end_Set_Initial_Time:
	RETURN      0
; end of _Set_Initial_Time

_send_to_max7219:

;MirrorClock.c,265 :: 		void send_to_max7219(char address, char dat)
;MirrorClock.c,267 :: 		CS = 0;                             // LOAD(CS) LINE LOW
	BCF         RC0_bit+0, BitPos(RC0_bit+0) 
;MirrorClock.c,268 :: 		Soft_SPI_Write(address);
	MOVF        FARG_send_to_max7219_address+0, 0 
	MOVWF       FARG_Soft_SPI_Write_sdata+0 
	CALL        _Soft_SPI_Write+0, 0
;MirrorClock.c,269 :: 		Soft_SPI_Write(dat);
	MOVF        FARG_send_to_max7219_dat+0, 0 
	MOVWF       FARG_Soft_SPI_Write_sdata+0 
	CALL        _Soft_SPI_Write+0, 0
;MirrorClock.c,270 :: 		CS = 1;                             // LOAD(CS) LINE HIGH
	BSF         RC0_bit+0, BitPos(RC0_bit+0) 
;MirrorClock.c,271 :: 		}
L_end_send_to_max7219:
	RETURN      0
; end of _send_to_max7219

_init_MAX7219:

;MirrorClock.c,275 :: 		void init_MAX7219() {
;MirrorClock.c,276 :: 		send_to_max7219(0x09,0xFF);         // BCD Mode Code B
	MOVLW       9
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       255
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,277 :: 		send_to_max7219(0x0A,0x09);         // INTENSITY 9/15 th's
	MOVLW       10
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       9
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,278 :: 		send_to_max7219(0x0B,0x07);         // SCAN ALL DIGITS
	MOVLW       11
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       7
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,279 :: 		send_to_max7219(0x0C,0x01);         // TURN ON
	MOVLW       12
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,280 :: 		send_to_max7219(0x00,0x0F);         // TEST OFF
	CLRF        FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,281 :: 		}
L_end_init_MAX7219:
	RETURN      0
; end of _init_MAX7219

_Adjust_Time_Date:

;MirrorClock.c,285 :: 		void Adjust_Time_Date()
;MirrorClock.c,288 :: 		if (Button(&PORTA, 0, 20, 0))                      //(SET_Switch == 0) if set switch pressed
	MOVLW       PORTA+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Button_port+1 
	CLRF        FARG_Button_pin+0 
	MOVLW       20
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date19
;MirrorClock.c,290 :: 		Beep();
	CALL        _Beep+0, 0
;MirrorClock.c,291 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_Adjust_Time_Date20:
	DECFSZ      R13, 1, 1
	BRA         L_Adjust_Time_Date20
	DECFSZ      R12, 1, 1
	BRA         L_Adjust_Time_Date20
	DECFSZ      R11, 1, 1
	BRA         L_Adjust_Time_Date20
	NOP
	NOP
;MirrorClock.c,292 :: 		set_count = 1;                                  //set next switch counter
	MOVLW       1
	MOVWF       Adjust_Time_Date_set_count_L0+0 
;MirrorClock.c,293 :: 		send_to_max7219(0x01, BCD2UpperCh(hour));       //display the hour and minute digits
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,294 :: 		send_to_max7219(0x02, BCD2LowerCh(hour)+128);   //decimal point to show what we are adjusting
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,295 :: 		send_to_max7219(0x03, BCD2UpperCh(minute));
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,296 :: 		send_to_max7219(0x04, BCD2LowerCh(minute));
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,297 :: 		send_to_max7219(0x05, 0);                       // seconda are zero
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,298 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,299 :: 		send_to_max7219(0x07, 15);                      //blank the last 2
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,300 :: 		send_to_max7219(0x08, 15);
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,302 :: 		while (Button(&PORTA, 0, 20, 0))                //(SET_Switch == 0) while set switch is pressed
L_Adjust_Time_Date21:
	MOVLW       PORTA+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Button_port+1 
	CLRF        FARG_Button_pin+0 
	MOVLW       20
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date22
;MirrorClock.c,304 :: 		while (Button(&PORTA, 1, 20, 0))             //(NEXT_Switch == 0) when next switch is pressed
L_Adjust_Time_Date23:
	MOVLW       PORTA+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       1
	MOVWF       FARG_Button_pin+0 
	MOVLW       20
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date24
;MirrorClock.c,306 :: 		delay_ms(425);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       200
	MOVWF       R12, 0
	MOVLW       180
	MOVWF       R13, 0
L_Adjust_Time_Date25:
	DECFSZ      R13, 1, 1
	BRA         L_Adjust_Time_Date25
	DECFSZ      R12, 1, 1
	BRA         L_Adjust_Time_Date25
	DECFSZ      R11, 1, 1
	BRA         L_Adjust_Time_Date25
	NOP
;MirrorClock.c,307 :: 		set_count++;                              //increment
	INCF        Adjust_Time_Date_set_count_L0+0, 1 
;MirrorClock.c,308 :: 		Beep();
	CALL        _Beep+0, 0
;MirrorClock.c,309 :: 		if(set_count > 5) set_count = 1;          //5 only required, go back to beginning
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	SUBLW       5
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date26
	MOVLW       1
	MOVWF       Adjust_Time_Date_set_count_L0+0 
L_Adjust_Time_Date26:
;MirrorClock.c,311 :: 		switch (set_count)                       //selecting which item we want to adjust
	GOTO        L_Adjust_Time_Date27
;MirrorClock.c,313 :: 		case 1:
L_Adjust_Time_Date29:
;MirrorClock.c,314 :: 		send_to_max7219(0x01, BCD2UpperCh(hour));      // SET HOURS display the hour and minute digits
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,315 :: 		send_to_max7219(0x02, BCD2LowerCh(hour)+128);  //get to 2nd hour digit, display point
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,316 :: 		send_to_max7219(0x03, BCD2UpperCh(minute));
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,317 :: 		send_to_max7219(0x04, BCD2LowerCh(minute));
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,318 :: 		send_to_max7219(0x05, 0);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,319 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,320 :: 		send_to_max7219(0x07, 15);                     // seconda are zero
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,321 :: 		send_to_max7219(0x08, 15);
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,322 :: 		break;
	GOTO        L_Adjust_Time_Date28
;MirrorClock.c,323 :: 		case 2:
L_Adjust_Time_Date30:
;MirrorClock.c,324 :: 		send_to_max7219(0x01, BCD2UpperCh(hour));      //SET MINUTES display the hour and minute digits
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,325 :: 		send_to_max7219(0x02, BCD2LowerCh(hour));
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,326 :: 		send_to_max7219(0x03, BCD2UpperCh(minute));
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,327 :: 		send_to_max7219(0x04, BCD2LowerCh(minute)+128);//get to 2nd minute digit, display point
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,328 :: 		send_to_max7219(0x05, 0);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,329 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,330 :: 		send_to_max7219(0x07, 15);                     // seconda are zero
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,331 :: 		send_to_max7219(0x08, 15);
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,332 :: 		break;                                         //dont bother changing seconds
	GOTO        L_Adjust_Time_Date28
;MirrorClock.c,333 :: 		case 3:
L_Adjust_Time_Date31:
;MirrorClock.c,334 :: 		send_to_max7219(0x01, BCD2UpperCh(date));      //SET MONTH display date, month and year digits
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,335 :: 		send_to_max7219(0x02, BCD2LowerCh(date));
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,336 :: 		send_to_max7219(0x03, BCD2UpperCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,337 :: 		send_to_max7219(0x04, BCD2LowerCh(month)+128); //display point on month
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,338 :: 		send_to_max7219(0x05, 2);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,339 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,340 :: 		send_to_max7219(0x07, BCD2UpperCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,341 :: 		send_to_max7219(0x08, BCD2LowerCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,342 :: 		break;
	GOTO        L_Adjust_Time_Date28
;MirrorClock.c,343 :: 		case 4:
L_Adjust_Time_Date32:
;MirrorClock.c,344 :: 		send_to_max7219(0x01, BCD2UpperCh(date));      //SET DATE display date, month and year digits
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,345 :: 		send_to_max7219(0x02, BCD2LowerCh(date)+128);  //display point on date
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,346 :: 		send_to_max7219(0x03, BCD2UpperCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,347 :: 		send_to_max7219(0x04, BCD2LowerCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,348 :: 		send_to_max7219(0x05, 2);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,349 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,350 :: 		send_to_max7219(0x07, BCD2UpperCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,351 :: 		send_to_max7219(0x08, BCD2LowerCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,352 :: 		break;
	GOTO        L_Adjust_Time_Date28
;MirrorClock.c,353 :: 		case 5:
L_Adjust_Time_Date33:
;MirrorClock.c,354 :: 		send_to_max7219(0x01, BCD2UpperCh(date));      //SET DATE display date, month and year digits
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,355 :: 		send_to_max7219(0x02, BCD2LowerCh(date));
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,356 :: 		send_to_max7219(0x03, BCD2UpperCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,357 :: 		send_to_max7219(0x04, BCD2LowerCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,358 :: 		send_to_max7219(0x05, 2);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,359 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,360 :: 		send_to_max7219(0x07, BCD2UpperCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,361 :: 		send_to_max7219(0x08, BCD2LowerCh(year)+128);  //display point on year
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,362 :: 		break;
	GOTO        L_Adjust_Time_Date28
;MirrorClock.c,363 :: 		}                                                      //end switch select which digits
L_Adjust_Time_Date27:
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date29
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date30
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date31
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date32
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date33
L_Adjust_Time_Date28:
;MirrorClock.c,364 :: 		}                                                          //end while NEXT pressed
	GOTO        L_Adjust_Time_Date23
L_Adjust_Time_Date24:
;MirrorClock.c,366 :: 		while (Button(&PORTA, 2, 20, 0))                           //(UP_Switch == 0) Adjust selected digit
L_Adjust_Time_Date34:
	MOVLW       PORTA+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       20
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date35
;MirrorClock.c,368 :: 		delay_ms(425);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       200
	MOVWF       R12, 0
	MOVLW       180
	MOVWF       R13, 0
L_Adjust_Time_Date36:
	DECFSZ      R13, 1, 1
	BRA         L_Adjust_Time_Date36
	DECFSZ      R12, 1, 1
	BRA         L_Adjust_Time_Date36
	DECFSZ      R11, 1, 1
	BRA         L_Adjust_Time_Date36
	NOP
;MirrorClock.c,369 :: 		Beep();
	CALL        _Beep+0, 0
;MirrorClock.c,370 :: 		switch (set_count)                                     //select the area we want to change
	GOTO        L_Adjust_Time_Date37
;MirrorClock.c,372 :: 		case 1:                                               //change hours
L_Adjust_Time_Date39:
;MirrorClock.c,373 :: 		hour++;                                           //increment on first press of up switch
	INCF        _hour+0, 1 
;MirrorClock.c,374 :: 		write_ds1307(0,0x80);                             //Reset second to 0 sec. and stop Oscillator
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,375 :: 		hour = BCD2dec(hour);                             //convert to something we can use
	MOVF        _hour+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
;MirrorClock.c,376 :: 		if(hour > 23) hour = 0;                           //dont go over 23 hours
	MOVF        R0, 0 
	SUBLW       23
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date40
	CLRF        _hour+0 
L_Adjust_Time_Date40:
;MirrorClock.c,377 :: 		write_ds1307(2,(dec2Bcd(hour)));                  //write hour
	MOVF        _hour+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       2
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,378 :: 		write_ds1307(0,0x00);                             //0x00 Reset second to 0 sec. and start Oscillator
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,379 :: 		hour = read_ds1307(2);                            // read hour
	MOVLW       2
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
;MirrorClock.c,380 :: 		send_to_max7219(0x01, BCD2UpperCh(hour));         // display the digits
	MOVF        R0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,381 :: 		send_to_max7219(0x02, BCD2LowerCh(hour)+128);
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,382 :: 		break;
	GOTO        L_Adjust_Time_Date38
;MirrorClock.c,383 :: 		case 2:                                              //change minutes
L_Adjust_Time_Date41:
;MirrorClock.c,384 :: 		minute++;
	INCF        _minute+0, 1 
;MirrorClock.c,385 :: 		write_ds1307(0,0x80);
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,386 :: 		minute = BCD2dec(minute);
	MOVF        _minute+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
;MirrorClock.c,387 :: 		if(minute > 59) minute = 0;
	MOVF        R0, 0 
	SUBLW       59
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date42
	CLRF        _minute+0 
L_Adjust_Time_Date42:
;MirrorClock.c,388 :: 		write_ds1307(1, (Dec2Bcd(minute)));
	MOVF        _minute+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       1
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,389 :: 		write_ds1307(0,0x00);
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,390 :: 		minute = read_ds1307(1);
	MOVLW       1
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
;MirrorClock.c,391 :: 		send_to_max7219(0x03, BCD2UpperCh(minute));       // display the digits
	MOVF        R0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,392 :: 		send_to_max7219(0x04, BCD2LowerCh(minute)+128);
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,393 :: 		break;
	GOTO        L_Adjust_Time_Date38
;MirrorClock.c,394 :: 		case 3:                                              //change month
L_Adjust_Time_Date43:
;MirrorClock.c,395 :: 		month++;
	INCF        _month+0, 1 
;MirrorClock.c,396 :: 		write_ds1307(0,0x80);
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,397 :: 		month = BCD2dec(month);
	MOVF        _month+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
;MirrorClock.c,398 :: 		if(month > 12) month = 1;
	MOVF        R0, 0 
	SUBLW       12
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date44
	MOVLW       1
	MOVWF       _month+0 
L_Adjust_Time_Date44:
;MirrorClock.c,399 :: 		write_ds1307(5,(Dec2Bcd(month)));
	MOVF        _month+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       5
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,400 :: 		write_ds1307(0,0x00);
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,401 :: 		month = read_ds1307(5);
	MOVLW       5
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
;MirrorClock.c,402 :: 		send_to_max7219(0x03, BCD2UpperCh(month));        // display the digits
	MOVF        R0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,403 :: 		send_to_max7219(0x04, BCD2LowerCh(month)+128);
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,404 :: 		break;
	GOTO        L_Adjust_Time_Date38
;MirrorClock.c,405 :: 		case 4:                                             //change date
L_Adjust_Time_Date45:
;MirrorClock.c,406 :: 		date++;
	INCF        _date+0, 1 
;MirrorClock.c,407 :: 		write_ds1307(0,0x80);
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,408 :: 		date = BCD2dec(date);
	MOVF        _date+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _date+0 
;MirrorClock.c,410 :: 		switch(month)                                     //check date against month
	GOTO        L_Adjust_Time_Date46
;MirrorClock.c,412 :: 		case 1: if(date > 31) date = 1; break;         //Jan
L_Adjust_Time_Date48:
	MOVF        _date+0, 0 
	SUBLW       31
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date49
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date49:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,413 :: 		case 2:                                        //Feb, take care of leep years
L_Adjust_Time_Date50:
;MirrorClock.c,414 :: 		if((date > 28) && (year % 4 != 0)) date = 1;
	MOVF        _date+0, 0 
	SUBLW       28
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date53
	MOVLW       3
	ANDWF       _year+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date53
L__Adjust_Time_Date298:
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date53:
;MirrorClock.c,415 :: 		if(date > 29 && year % 4 == 0) date = 1;
	MOVF        _date+0, 0 
	SUBLW       29
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date56
	MOVLW       3
	ANDWF       _year+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date56
L__Adjust_Time_Date297:
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date56:
;MirrorClock.c,416 :: 		break;
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,417 :: 		case 3: if(date > 31) date = 1; break;         //Mar
L_Adjust_Time_Date57:
	MOVF        _date+0, 0 
	SUBLW       31
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date58
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date58:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,418 :: 		case 4: if(date > 30) date = 1; break;         //Apr
L_Adjust_Time_Date59:
	MOVF        _date+0, 0 
	SUBLW       30
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date60
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date60:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,419 :: 		case 5: if(date > 31) date = 1; break;         //May
L_Adjust_Time_Date61:
	MOVF        _date+0, 0 
	SUBLW       31
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date62
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date62:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,420 :: 		case 6: if(date > 30) date = 1; break;         //Jun
L_Adjust_Time_Date63:
	MOVF        _date+0, 0 
	SUBLW       30
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date64
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date64:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,421 :: 		case 7: if(date > 31) date = 1; break;         //julif(month > 12) month = 1;
L_Adjust_Time_Date65:
	MOVF        _date+0, 0 
	SUBLW       31
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date66
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date66:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,422 :: 		case 9: if(date > 30) date = 1; break;         //Sep
L_Adjust_Time_Date67:
	MOVF        _date+0, 0 
	SUBLW       30
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date68
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date68:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,423 :: 		case 10: if(date > 31) date = 1; break;        //Oct
L_Adjust_Time_Date69:
	MOVF        _date+0, 0 
	SUBLW       31
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date70
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date70:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,424 :: 		case 11: if(date > 30) date = 1; break;        //Nov
L_Adjust_Time_Date71:
	MOVF        _date+0, 0 
	SUBLW       30
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date72
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date72:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,425 :: 		case 12: if(date > 31) date = 1; break;        //Dec
L_Adjust_Time_Date73:
	MOVF        _date+0, 0 
	SUBLW       31
	BTFSC       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date74
	MOVLW       1
	MOVWF       _date+0 
L_Adjust_Time_Date74:
	GOTO        L_Adjust_Time_Date47
;MirrorClock.c,426 :: 		}
L_Adjust_Time_Date46:
	MOVF        _month+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date48
	MOVF        _month+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date50
	MOVF        _month+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date57
	MOVF        _month+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date59
	MOVF        _month+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date61
	MOVF        _month+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date63
	MOVF        _month+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date65
	MOVF        _month+0, 0 
	XORLW       9
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date67
	MOVF        _month+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date69
	MOVF        _month+0, 0 
	XORLW       11
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date71
	MOVF        _month+0, 0 
	XORLW       12
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date73
L_Adjust_Time_Date47:
;MirrorClock.c,428 :: 		write_ds1307(4, (Dec2Bcd(date)));
	MOVF        _date+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       4
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,429 :: 		write_ds1307(0,0x00);
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,430 :: 		date = read_ds1307(4);
	MOVLW       4
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _date+0 
;MirrorClock.c,431 :: 		send_to_max7219(0x01, BCD2UpperCh(date));         // display the digits
	MOVF        R0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,432 :: 		send_to_max7219(0x02, BCD2LowerCh(date)+128);
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,433 :: 		break;
	GOTO        L_Adjust_Time_Date38
;MirrorClock.c,434 :: 		case 5:                                               //change year
L_Adjust_Time_Date75:
;MirrorClock.c,435 :: 		year++;
	INCF        _year+0, 1 
;MirrorClock.c,436 :: 		write_ds1307(0,0x80);
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,437 :: 		year = BCD2dec(year);
	MOVF        _year+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _year+0 
;MirrorClock.c,438 :: 		if(year >= 100) year = 0;
	MOVLW       100
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_Adjust_Time_Date76
	CLRF        _year+0 
L_Adjust_Time_Date76:
;MirrorClock.c,439 :: 		write_ds1307(6, (Dec2Bcd(year)));
	MOVF        _year+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       6
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,440 :: 		write_ds1307(0,0x00);
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,441 :: 		year = read_ds1307(6);
	MOVLW       6
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _year+0 
;MirrorClock.c,442 :: 		send_to_max7219(0x07, BCD2UpperCh(year));         // display the digits
	MOVF        R0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,443 :: 		send_to_max7219(0x08, BCD2LowerCh(year)+128);
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVLW       128
	ADDWF       R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,444 :: 		break;
	GOTO        L_Adjust_Time_Date38
;MirrorClock.c,445 :: 		}                                                      //end switch set_count
L_Adjust_Time_Date37:
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date39
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date41
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date43
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date45
	MOVF        Adjust_Time_Date_set_count_L0+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Adjust_Time_Date75
L_Adjust_Time_Date38:
;MirrorClock.c,446 :: 		}                                                          //end while UP pressed
	GOTO        L_Adjust_Time_Date34
L_Adjust_Time_Date35:
;MirrorClock.c,447 :: 		}                                                             //end while SET pressed
	GOTO        L_Adjust_Time_Date21
L_Adjust_Time_Date22:
;MirrorClock.c,448 :: 		}                                                                //end if SET pressed - jump out now
L_Adjust_Time_Date19:
;MirrorClock.c,449 :: 		}
L_end_Adjust_Time_Date:
	RETURN      0
; end of _Adjust_Time_Date

_Clear_Strip:

;MirrorClock.c,452 :: 		void Clear_Strip()
;MirrorClock.c,455 :: 		for(pos = 0; pos < NumberOfLeds; pos++)
	CLRF        Clear_Strip_pos_L0+0 
L_Clear_Strip77:
	MOVLW       60
	SUBWF       Clear_Strip_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Clear_Strip78
;MirrorClock.c,457 :: 		led_strip[pos] = 0x000000;
	MOVF        Clear_Strip_pos_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;MirrorClock.c,455 :: 		for(pos = 0; pos < NumberOfLeds; pos++)
	INCF        Clear_Strip_pos_L0+0, 1 
;MirrorClock.c,458 :: 		}
	GOTO        L_Clear_Strip77
L_Clear_Strip78:
;MirrorClock.c,459 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,460 :: 		}
L_end_Clear_Strip:
	RETURN      0
; end of _Clear_Strip

_Strip_Color:

;MirrorClock.c,464 :: 		unsigned long Strip_Color(char g, char r, char b)
;MirrorClock.c,466 :: 		return ((unsigned long)g << 16) | ((unsigned long)r <<  8) | b;
	MOVF        FARG_Strip_Color_g+0, 0 
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVWF       R4 
	MOVF        R2, 0 
	MOVWF       R12 
	MOVF        R1, 0 
	MOVWF       R11 
	CLRF        R9 
	CLRF        R10 
	MOVF        FARG_Strip_Color_r+0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R7, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVF        R5, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R9, 0 
	IORWF       R0, 1 
	MOVF        R10, 0 
	IORWF       R1, 1 
	MOVF        R11, 0 
	IORWF       R2, 1 
	MOVF        R12, 0 
	IORWF       R3, 1 
	MOVF        FARG_Strip_Color_b+0, 0 
	IORWF       R0, 1 
	MOVLW       0
	IORWF       R1, 1 
	IORWF       R2, 1 
	IORWF       R3, 1 
;MirrorClock.c,467 :: 		}
L_end_Strip_Color:
	RETURN      0
; end of _Strip_Color

_Wheel:

;MirrorClock.c,472 :: 		unsigned long Wheel(unsigned char WheelPos)
;MirrorClock.c,474 :: 		if(WheelPos < 85)
	MOVLW       85
	SUBWF       FARG_Wheel_WheelPos+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Wheel80
;MirrorClock.c,476 :: 		return Strip_Color(WheelPos * 3, 255 - WheelPos * 3, 0);
	MOVLW       3
	MULWF       FARG_Wheel_WheelPos+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_Strip_Color_g+0 
	MOVF        R0, 0 
	SUBLW       255
	MOVWF       FARG_Strip_Color_r+0 
	CLRF        FARG_Strip_Color_b+0 
	CALL        _Strip_Color+0, 0
	GOTO        L_end_Wheel
;MirrorClock.c,477 :: 		}
L_Wheel80:
;MirrorClock.c,478 :: 		else if(WheelPos < 170)
	MOVLW       170
	SUBWF       FARG_Wheel_WheelPos+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Wheel82
;MirrorClock.c,480 :: 		WheelPos -= 85;
	MOVLW       85
	SUBWF       FARG_Wheel_WheelPos+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_Wheel_WheelPos+0 
;MirrorClock.c,481 :: 		return Strip_Color(255 - WheelPos * 3, 0, WheelPos * 3);
	MOVLW       3
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	SUBLW       255
	MOVWF       FARG_Strip_Color_g+0 
	CLRF        FARG_Strip_Color_r+0 
	MOVLW       3
	MULWF       FARG_Wheel_WheelPos+0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Strip_Color_b+0 
	CALL        _Strip_Color+0, 0
	GOTO        L_end_Wheel
;MirrorClock.c,482 :: 		}
L_Wheel82:
;MirrorClock.c,485 :: 		WheelPos -= 170;
	MOVLW       170
	SUBWF       FARG_Wheel_WheelPos+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_Wheel_WheelPos+0 
;MirrorClock.c,486 :: 		return Strip_Color(0, WheelPos * 3, 255 - WheelPos * 3);
	CLRF        FARG_Strip_Color_g+0 
	MOVLW       3
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Strip_Color_r+0 
	MOVLW       3
	MULWF       FARG_Wheel_WheelPos+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	SUBLW       255
	MOVWF       FARG_Strip_Color_b+0 
	CALL        _Strip_Color+0, 0
;MirrorClock.c,488 :: 		}
L_end_Wheel:
	RETURN      0
; end of _Wheel

_RandomColor:

;MirrorClock.c,491 :: 		void RandomColor(unsigned int loops)
;MirrorClock.c,494 :: 		for (j = 0; j < loops; j++)
	CLRF        RandomColor_j_L0+0 
	CLRF        RandomColor_j_L0+1 
L_RandomColor84:
	MOVF        FARG_RandomColor_loops+1, 0 
	SUBWF       RandomColor_j_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__RandomColor321
	MOVF        FARG_RandomColor_loops+0, 0 
	SUBWF       RandomColor_j_L0+0, 0 
L__RandomColor321:
	BTFSC       STATUS+0, 0 
	GOTO        L_RandomColor85
;MirrorClock.c,496 :: 		srand(j);
	MOVF        RandomColor_j_L0+0, 0 
	MOVWF       FARG_srand_x+0 
	MOVF        RandomColor_j_L0+1, 0 
	MOVWF       FARG_srand_x+1 
	CALL        _srand+0, 0
;MirrorClock.c,497 :: 		a = rand() % 255;
	CALL        _rand+0, 0
	MOVLW       255
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       RandomColor_a_L0+0 
	MOVF        R1, 0 
	MOVWF       RandomColor_a_L0+1 
;MirrorClock.c,498 :: 		b = rand() % 255;
	CALL        _rand+0, 0
	MOVLW       255
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       RandomColor_b_L0+0 
	MOVF        R1, 0 
	MOVWF       RandomColor_b_L0+1 
;MirrorClock.c,499 :: 		c = rand() % 255;
	CALL        _rand+0, 0
	MOVLW       255
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       RandomColor_c_L0+0 
	MOVF        R1, 0 
	MOVWF       RandomColor_c_L0+1 
;MirrorClock.c,500 :: 		d = rand() % NumberOfLeds;
	CALL        _rand+0, 0
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
;MirrorClock.c,501 :: 		Set_Color(a, b, c, d);
	MOVF        RandomColor_a_L0+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVF        RandomColor_a_L0+1, 0 
	MOVWF       FARG_Set_Color_g+1 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        RandomColor_b_L0+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVF        RandomColor_b_L0+1, 0 
	MOVWF       FARG_Set_Color_r+1 
	MOVF        RandomColor_c_L0+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,502 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,494 :: 		for (j = 0; j < loops; j++)
	INFSNZ      RandomColor_j_L0+0, 1 
	INCF        RandomColor_j_L0+1, 1 
;MirrorClock.c,503 :: 		}
	GOTO        L_RandomColor84
L_RandomColor85:
;MirrorClock.c,504 :: 		}
L_end_RandomColor:
	RETURN      0
; end of _RandomColor

_ChaseRandom:

;MirrorClock.c,507 :: 		void ChaseRandom(unsigned int loops)
;MirrorClock.c,510 :: 		unsigned long new_color = 0;
	CLRF        ChaseRandom_new_color_L0+0 
	CLRF        ChaseRandom_new_color_L0+1 
	CLRF        ChaseRandom_new_color_L0+2 
	CLRF        ChaseRandom_new_color_L0+3 
;MirrorClock.c,511 :: 		for (j = 0; j < loops; j++)
	CLRF        ChaseRandom_j_L0+0 
	CLRF        ChaseRandom_j_L0+1 
L_ChaseRandom87:
	MOVF        FARG_ChaseRandom_loops+1, 0 
	SUBWF       ChaseRandom_j_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ChaseRandom323
	MOVF        FARG_ChaseRandom_loops+0, 0 
	SUBWF       ChaseRandom_j_L0+0, 0 
L__ChaseRandom323:
	BTFSC       STATUS+0, 0 
	GOTO        L_ChaseRandom88
;MirrorClock.c,513 :: 		for(x = (NumberOfLeds - 1); x > 0; x--)     //First, shuffle all the current colors down one spot on the strip
	MOVLW       59
	MOVWF       ChaseRandom_x_L0+0 
	MOVLW       0
	MOVWF       ChaseRandom_x_L0+1 
L_ChaseRandom90:
	MOVLW       0
	MOVWF       R0 
	MOVF        ChaseRandom_x_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ChaseRandom324
	MOVF        ChaseRandom_x_L0+0, 0 
	SUBLW       0
L__ChaseRandom324:
	BTFSC       STATUS+0, 0 
	GOTO        L_ChaseRandom91
;MirrorClock.c,515 :: 		led_strip[x] = led_strip[x - 1];
	MOVF        ChaseRandom_x_L0+0, 0 
	MOVWF       R0 
	MOVF        ChaseRandom_x_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	SUBWF       ChaseRandom_x_L0+0, 0 
	MOVWF       R3 
	MOVLW       0
	SUBWFB      ChaseRandom_x_L0+1, 0 
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,513 :: 		for(x = (NumberOfLeds - 1); x > 0; x--)     //First, shuffle all the current colors down one spot on the strip
	MOVLW       1
	SUBWF       ChaseRandom_x_L0+0, 1 
	MOVLW       0
	SUBWFB      ChaseRandom_x_L0+1, 1 
;MirrorClock.c,516 :: 		}
	GOTO        L_ChaseRandom90
L_ChaseRandom91:
;MirrorClock.c,517 :: 		for(x = 0; x < 3; x++)                      //Now generate a new RGB color
	CLRF        ChaseRandom_x_L0+0 
	CLRF        ChaseRandom_x_L0+1 
L_ChaseRandom93:
	MOVLW       0
	SUBWF       ChaseRandom_x_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ChaseRandom325
	MOVLW       3
	SUBWF       ChaseRandom_x_L0+0, 0 
L__ChaseRandom325:
	BTFSC       STATUS+0, 0 
	GOTO        L_ChaseRandom94
;MirrorClock.c,519 :: 		new_color <<= 8;
	MOVF        ChaseRandom_new_color_L0+2, 0 
	MOVWF       ChaseRandom_new_color_L0+3 
	MOVF        ChaseRandom_new_color_L0+1, 0 
	MOVWF       ChaseRandom_new_color_L0+2 
	MOVF        ChaseRandom_new_color_L0+0, 0 
	MOVWF       ChaseRandom_new_color_L0+1 
	CLRF        ChaseRandom_new_color_L0+0 
;MirrorClock.c,520 :: 		new_color |= rand();
	CALL        _rand+0, 0
	MOVF        R0, 0 
	IORWF       ChaseRandom_new_color_L0+0, 1 
	MOVF        R1, 0 
	IORWF       ChaseRandom_new_color_L0+1, 1 
	MOVLW       0
	BTFSC       R1, 7 
	MOVLW       255
	IORWF       ChaseRandom_new_color_L0+2, 1 
	IORWF       ChaseRandom_new_color_L0+3, 1 
;MirrorClock.c,517 :: 		for(x = 0; x < 3; x++)                      //Now generate a new RGB color
	INFSNZ      ChaseRandom_x_L0+0, 1 
	INCF        ChaseRandom_x_L0+1, 1 
;MirrorClock.c,521 :: 		}
	GOTO        L_ChaseRandom93
L_ChaseRandom94:
;MirrorClock.c,522 :: 		led_strip[0] = new_color;                  //Add the new random color to the strip
	MOVF        ChaseRandom_new_color_L0+0, 0 
	MOVWF       _led_strip+0 
	MOVF        ChaseRandom_new_color_L0+1, 0 
	MOVWF       _led_strip+1 
	MOVF        ChaseRandom_new_color_L0+2, 0 
	MOVWF       _led_strip+2 
	MOVF        ChaseRandom_new_color_L0+3, 0 
	MOVWF       _led_strip+3 
;MirrorClock.c,523 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,511 :: 		for (j = 0; j < loops; j++)
	INFSNZ      ChaseRandom_j_L0+0, 1 
	INCF        ChaseRandom_j_L0+1, 1 
;MirrorClock.c,524 :: 		}
	GOTO        L_ChaseRandom87
L_ChaseRandom88:
;MirrorClock.c,525 :: 		}
L_end_ChaseRandom:
	RETURN      0
; end of _ChaseRandom

_Fade_Strip:

;MirrorClock.c,528 :: 		void Fade_Strip(unsigned char greennext, unsigned char rednext, unsigned char bluenext, unsigned char greenlast, unsigned char redlast, unsigned char bluelast, unsigned char pos)
;MirrorClock.c,536 :: 		count = 0;
	CLRF        Fade_Strip_count_L0+0 
;MirrorClock.c,537 :: 		gcurr =  greenlast;
	MOVF        FARG_Fade_Strip_greenlast+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_gcurr_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_gcurr_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_gcurr_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_gcurr_L0+3 
;MirrorClock.c,538 :: 		rcurr =  redlast;
	MOVF        FARG_Fade_Strip_redlast+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+4 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+5 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+6 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+7 
	MOVF        FLOC__Fade_Strip+4, 0 
	MOVWF       Fade_Strip_rcurr_L0+0 
	MOVF        FLOC__Fade_Strip+5, 0 
	MOVWF       Fade_Strip_rcurr_L0+1 
	MOVF        FLOC__Fade_Strip+6, 0 
	MOVWF       Fade_Strip_rcurr_L0+2 
	MOVF        FLOC__Fade_Strip+7, 0 
	MOVWF       Fade_Strip_rcurr_L0+3 
;MirrorClock.c,539 :: 		bcurr =  bluelast;
	MOVF        FARG_Fade_Strip_bluelast+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_bcurr_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_bcurr_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_bcurr_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_bcurr_L0+3 
;MirrorClock.c,540 :: 		glast =  greennext;
	MOVF        FARG_Fade_Strip_greennext+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_glast_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_glast_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_glast_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_glast_L0+3 
;MirrorClock.c,541 :: 		rlast =  rednext;
	MOVF        FARG_Fade_Strip_rednext+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+1 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+2 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+3 
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       Fade_Strip_rlast_L0+0 
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       Fade_Strip_rlast_L0+1 
	MOVF        FLOC__Fade_Strip+2, 0 
	MOVWF       Fade_Strip_rlast_L0+2 
	MOVF        FLOC__Fade_Strip+3, 0 
	MOVWF       Fade_Strip_rlast_L0+3 
;MirrorClock.c,542 :: 		blast =  bluenext;
	MOVF        FARG_Fade_Strip_bluenext+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_blast_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_blast_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_blast_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_blast_L0+3 
;MirrorClock.c,543 :: 		MaxTemp = max((abs(gcurr - glast)), (abs(rcurr - rlast)));
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       R4 
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       R5 
	MOVF        FLOC__Fade_Strip+2, 0 
	MOVWF       R6 
	MOVF        FLOC__Fade_Strip+3, 0 
	MOVWF       R7 
	MOVF        FLOC__Fade_Strip+4, 0 
	MOVWF       R0 
	MOVF        FLOC__Fade_Strip+5, 0 
	MOVWF       R1 
	MOVF        FLOC__Fade_Strip+6, 0 
	MOVWF       R2 
	MOVF        FLOC__Fade_Strip+7, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_abs_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+1 
	MOVF        Fade_Strip_glast_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_glast_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_glast_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_glast_L0+3, 0 
	MOVWF       R7 
	MOVF        Fade_Strip_gcurr_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_gcurr_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_gcurr_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_gcurr_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_abs_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_max_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_max_a+1 
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       FARG_max_b+0 
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       FARG_max_b+1 
	CALL        _max+0, 0
	CALL        _Int2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_MaxTemp_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_MaxTemp_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_MaxTemp_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_MaxTemp_L0+3 
;MirrorClock.c,544 :: 		MaxStep = max((abs(bcurr - blast)), MaxTemp);
	MOVF        Fade_Strip_blast_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_blast_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_blast_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_blast_L0+3, 0 
	MOVWF       R7 
	MOVF        Fade_Strip_bcurr_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_bcurr_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_bcurr_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_bcurr_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_abs_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_max_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_max_a+1 
	MOVF        Fade_Strip_MaxTemp_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_MaxTemp_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_MaxTemp_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_MaxTemp_L0+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_max_b+0 
	MOVF        R1, 0 
	MOVWF       FARG_max_b+1 
	CALL        _max+0, 0
	CALL        _Int2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_MaxStep_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_MaxStep_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_MaxStep_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_MaxStep_L0+3 
;MirrorClock.c,545 :: 		gcalc = glast;
	MOVF        Fade_Strip_glast_L0+0, 0 
	MOVWF       Fade_Strip_gcalc_L0+0 
	MOVF        Fade_Strip_glast_L0+1, 0 
	MOVWF       Fade_Strip_gcalc_L0+1 
	MOVF        Fade_Strip_glast_L0+2, 0 
	MOVWF       Fade_Strip_gcalc_L0+2 
	MOVF        Fade_Strip_glast_L0+3, 0 
	MOVWF       Fade_Strip_gcalc_L0+3 
;MirrorClock.c,546 :: 		rcalc = rlast;
	MOVF        Fade_Strip_rlast_L0+0, 0 
	MOVWF       Fade_Strip_rcalc_L0+0 
	MOVF        Fade_Strip_rlast_L0+1, 0 
	MOVWF       Fade_Strip_rcalc_L0+1 
	MOVF        Fade_Strip_rlast_L0+2, 0 
	MOVWF       Fade_Strip_rcalc_L0+2 
	MOVF        Fade_Strip_rlast_L0+3, 0 
	MOVWF       Fade_Strip_rcalc_L0+3 
;MirrorClock.c,547 :: 		bcalc = blast;
	MOVF        Fade_Strip_blast_L0+0, 0 
	MOVWF       Fade_Strip_bcalc_L0+0 
	MOVF        Fade_Strip_blast_L0+1, 0 
	MOVWF       Fade_Strip_bcalc_L0+1 
	MOVF        Fade_Strip_blast_L0+2, 0 
	MOVWF       Fade_Strip_bcalc_L0+2 
	MOVF        Fade_Strip_blast_L0+3, 0 
	MOVWF       Fade_Strip_bcalc_L0+3 
;MirrorClock.c,549 :: 		for (nnn = 0; nnn < MaxStep; nnn++)   // Calculate proportional fade rates
	CLRF        Fade_Strip_nnn_L0+0 
L_Fade_Strip96:
	MOVF        Fade_Strip_nnn_L0+0, 0 
	MOVWF       R0 
	CALL        _Byte2Double+0, 0
	MOVF        Fade_Strip_MaxStep_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_MaxStep_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_MaxStep_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_MaxStep_L0+3, 0 
	MOVWF       R7 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Fade_Strip97
;MirrorClock.c,551 :: 		gtemp = (gcurr - glast) / MaxStep;
	MOVF        Fade_Strip_glast_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_glast_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_glast_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_glast_L0+3, 0 
	MOVWF       R7 
	MOVF        Fade_Strip_gcurr_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_gcurr_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_gcurr_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_gcurr_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        Fade_Strip_MaxStep_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_MaxStep_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_MaxStep_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_MaxStep_L0+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_gtemp_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_gtemp_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_gtemp_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_gtemp_L0+3 
;MirrorClock.c,552 :: 		rtemp = (rcurr - rlast) / MaxStep;
	MOVF        Fade_Strip_rlast_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_rlast_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_rlast_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_rlast_L0+3, 0 
	MOVWF       R7 
	MOVF        Fade_Strip_rcurr_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_rcurr_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_rcurr_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_rcurr_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        Fade_Strip_MaxStep_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_MaxStep_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_MaxStep_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_MaxStep_L0+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_rtemp_L0+0 
	MOVF        R1, 0 
	MOVWF       Fade_Strip_rtemp_L0+1 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_rtemp_L0+2 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_rtemp_L0+3 
;MirrorClock.c,553 :: 		btemp = (bcurr - blast) / MaxStep;
	MOVF        Fade_Strip_blast_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_blast_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_blast_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_blast_L0+3, 0 
	MOVWF       R7 
	MOVF        Fade_Strip_bcurr_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_bcurr_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_bcurr_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_bcurr_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        Fade_Strip_MaxStep_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_MaxStep_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_MaxStep_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_MaxStep_L0+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+8 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+9 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+10 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+11 
	MOVF        Fade_Strip_gcalc_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_gcalc_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_gcalc_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_gcalc_L0+3, 0 
	MOVWF       R3 
	MOVF        Fade_Strip_gtemp_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_gtemp_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_gtemp_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_gtemp_L0+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+4 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+5 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+6 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+7 
	MOVF        FLOC__Fade_Strip+4, 0 
	MOVWF       Fade_Strip_gcalc_L0+0 
	MOVF        FLOC__Fade_Strip+5, 0 
	MOVWF       Fade_Strip_gcalc_L0+1 
	MOVF        FLOC__Fade_Strip+6, 0 
	MOVWF       Fade_Strip_gcalc_L0+2 
	MOVF        FLOC__Fade_Strip+7, 0 
	MOVWF       Fade_Strip_gcalc_L0+3 
;MirrorClock.c,555 :: 		rcalc = rcalc + rtemp;
	MOVF        Fade_Strip_rcalc_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_rcalc_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_rcalc_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_rcalc_L0+3, 0 
	MOVWF       R3 
	MOVF        Fade_Strip_rtemp_L0+0, 0 
	MOVWF       R4 
	MOVF        Fade_Strip_rtemp_L0+1, 0 
	MOVWF       R5 
	MOVF        Fade_Strip_rtemp_L0+2, 0 
	MOVWF       R6 
	MOVF        Fade_Strip_rtemp_L0+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+1 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+2 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+3 
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       Fade_Strip_rcalc_L0+0 
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       Fade_Strip_rcalc_L0+1 
	MOVF        FLOC__Fade_Strip+2, 0 
	MOVWF       Fade_Strip_rcalc_L0+2 
	MOVF        FLOC__Fade_Strip+3, 0 
	MOVWF       Fade_Strip_rcalc_L0+3 
;MirrorClock.c,556 :: 		bcalc = bcalc + btemp;
	MOVF        Fade_Strip_bcalc_L0+0, 0 
	MOVWF       R0 
	MOVF        Fade_Strip_bcalc_L0+1, 0 
	MOVWF       R1 
	MOVF        Fade_Strip_bcalc_L0+2, 0 
	MOVWF       R2 
	MOVF        Fade_Strip_bcalc_L0+3, 0 
	MOVWF       R3 
	MOVF        FLOC__Fade_Strip+8, 0 
	MOVWF       R4 
	MOVF        FLOC__Fade_Strip+9, 0 
	MOVWF       R5 
	MOVF        FLOC__Fade_Strip+10, 0 
	MOVWF       R6 
	MOVF        FLOC__Fade_Strip+11, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+8 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+9 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+10 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+11 
	MOVF        FLOC__Fade_Strip+8, 0 
	MOVWF       Fade_Strip_bcalc_L0+0 
	MOVF        FLOC__Fade_Strip+9, 0 
	MOVWF       Fade_Strip_bcalc_L0+1 
	MOVF        FLOC__Fade_Strip+10, 0 
	MOVWF       Fade_Strip_bcalc_L0+2 
	MOVF        FLOC__Fade_Strip+11, 0 
	MOVWF       Fade_Strip_bcalc_L0+3 
;MirrorClock.c,557 :: 		g = gcalc;
	MOVF        FLOC__Fade_Strip+4, 0 
	MOVWF       R0 
	MOVF        FLOC__Fade_Strip+5, 0 
	MOVWF       R1 
	MOVF        FLOC__Fade_Strip+6, 0 
	MOVWF       R2 
	MOVF        FLOC__Fade_Strip+7, 0 
	MOVWF       R3 
	CALL        _Double2Longword+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+4 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+5 
	MOVF        R2, 0 
	MOVWF       FLOC__Fade_Strip+6 
	MOVF        R3, 0 
	MOVWF       FLOC__Fade_Strip+7 
	MOVF        FLOC__Fade_Strip+4, 0 
	MOVWF       Fade_Strip_g_L0+0 
	MOVF        FLOC__Fade_Strip+5, 0 
	MOVWF       Fade_Strip_g_L0+1 
	MOVF        FLOC__Fade_Strip+6, 0 
	MOVWF       Fade_Strip_g_L0+2 
	MOVF        FLOC__Fade_Strip+7, 0 
	MOVWF       Fade_Strip_g_L0+3 
;MirrorClock.c,558 :: 		r = rcalc;
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       R0 
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       R1 
	MOVF        FLOC__Fade_Strip+2, 0 
	MOVWF       R2 
	MOVF        FLOC__Fade_Strip+3, 0 
	MOVWF       R3 
	CALL        _Double2Word+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Fade_Strip+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Fade_Strip+1 
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       Fade_Strip_r_L0+0 
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       Fade_Strip_r_L0+1 
;MirrorClock.c,559 :: 		b = bcalc;
	MOVF        FLOC__Fade_Strip+8, 0 
	MOVWF       R0 
	MOVF        FLOC__Fade_Strip+9, 0 
	MOVWF       R1 
	MOVF        FLOC__Fade_Strip+10, 0 
	MOVWF       R2 
	MOVF        FLOC__Fade_Strip+11, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       Fade_Strip_b_L0+0 
;MirrorClock.c,561 :: 		temp = 0;                          // Construct 24bit word
	CLRF        Fade_Strip_temp_L0+0 
	CLRF        Fade_Strip_temp_L0+1 
	CLRF        Fade_Strip_temp_L0+2 
	CLRF        Fade_Strip_temp_L0+3 
;MirrorClock.c,562 :: 		temp1 = 0;
	CLRF        Fade_Strip_temp1_L0+0 
	CLRF        Fade_Strip_temp1_L0+1 
	CLRF        Fade_Strip_temp1_L0+2 
	CLRF        Fade_Strip_temp1_L0+3 
;MirrorClock.c,563 :: 		temp1 = g << 16;
	MOVF        FLOC__Fade_Strip+5, 0 
	MOVWF       R5 
	MOVF        FLOC__Fade_Strip+4, 0 
	MOVWF       R4 
	CLRF        R2 
	CLRF        R3 
	MOVF        R2, 0 
	MOVWF       Fade_Strip_temp1_L0+0 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_temp1_L0+1 
	MOVF        R4, 0 
	MOVWF       Fade_Strip_temp1_L0+2 
	MOVF        R5, 0 
	MOVWF       Fade_Strip_temp1_L0+3 
;MirrorClock.c,564 :: 		temp = temp + temp1;
	MOVF        R2, 0 
	MOVWF       Fade_Strip_temp_L0+0 
	MOVF        R3, 0 
	MOVWF       Fade_Strip_temp_L0+1 
	MOVF        R4, 0 
	MOVWF       Fade_Strip_temp_L0+2 
	MOVF        R5, 0 
	MOVWF       Fade_Strip_temp_L0+3 
;MirrorClock.c,565 :: 		temp1 = 0;
	CLRF        Fade_Strip_temp1_L0+0 
	CLRF        Fade_Strip_temp1_L0+1 
	CLRF        Fade_Strip_temp1_L0+2 
	CLRF        Fade_Strip_temp1_L0+3 
;MirrorClock.c,566 :: 		temp1 = r << 8;
	MOVF        FLOC__Fade_Strip+1, 0 
	MOVWF       Fade_Strip_temp1_L0+2 
	MOVF        FLOC__Fade_Strip+0, 0 
	MOVWF       Fade_Strip_temp1_L0+1 
	CLRF        Fade_Strip_temp1_L0+0 
	CLRF        Fade_Strip_temp1_L0+3 
	MOVLW       0
	MOVWF       Fade_Strip_temp1_L0+2 
	MOVWF       Fade_Strip_temp1_L0+3 
;MirrorClock.c,567 :: 		temp = temp + temp1;
	MOVF        Fade_Strip_temp1_L0+0, 0 
	ADDWF       R2, 0 
	MOVWF       Fade_Strip_temp_L0+0 
	MOVF        Fade_Strip_temp1_L0+1, 0 
	ADDWFC      R3, 0 
	MOVWF       Fade_Strip_temp_L0+1 
	MOVF        Fade_Strip_temp1_L0+2, 0 
	ADDWFC      R4, 0 
	MOVWF       Fade_Strip_temp_L0+2 
	MOVF        Fade_Strip_temp1_L0+3, 0 
	ADDWFC      R5, 0 
	MOVWF       Fade_Strip_temp_L0+3 
;MirrorClock.c,568 :: 		temp1 = 0;
	CLRF        Fade_Strip_temp1_L0+0 
	CLRF        Fade_Strip_temp1_L0+1 
	CLRF        Fade_Strip_temp1_L0+2 
	CLRF        Fade_Strip_temp1_L0+3 
;MirrorClock.c,569 :: 		temp1 = b;
	MOVF        R0, 0 
	MOVWF       Fade_Strip_temp1_L0+0 
	MOVLW       0
	MOVWF       Fade_Strip_temp1_L0+1 
	MOVWF       Fade_Strip_temp1_L0+2 
	MOVWF       Fade_Strip_temp1_L0+3 
;MirrorClock.c,570 :: 		temp = temp + temp1;
	MOVF        Fade_Strip_temp1_L0+0, 0 
	ADDWF       Fade_Strip_temp_L0+0, 1 
	MOVF        Fade_Strip_temp1_L0+1, 0 
	ADDWFC      Fade_Strip_temp_L0+1, 1 
	MOVF        Fade_Strip_temp1_L0+2, 0 
	ADDWFC      Fade_Strip_temp_L0+2, 1 
	MOVF        Fade_Strip_temp1_L0+3, 0 
	ADDWFC      Fade_Strip_temp_L0+3, 1 
;MirrorClock.c,572 :: 		if(pos == 0)                       // Populate Faded Colors
	MOVF        FARG_Fade_Strip_pos+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Fade_Strip99
;MirrorClock.c,574 :: 		for (count = 0; count <= NumberOfLeds; ++count)
	CLRF        Fade_Strip_count_L0+0 
L_Fade_Strip100:
	MOVF        Fade_Strip_count_L0+0, 0 
	SUBLW       60
	BTFSS       STATUS+0, 0 
	GOTO        L_Fade_Strip101
;MirrorClock.c,576 :: 		led_strip[count] = temp;
	MOVF        Fade_Strip_count_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Fade_Strip_temp_L0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        Fade_Strip_temp_L0+1, 0 
	MOVWF       POSTINC1+0 
	MOVF        Fade_Strip_temp_L0+2, 0 
	MOVWF       POSTINC1+0 
	MOVF        Fade_Strip_temp_L0+3, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,574 :: 		for (count = 0; count <= NumberOfLeds; ++count)
	INCF        Fade_Strip_count_L0+0, 1 
;MirrorClock.c,577 :: 		}
	GOTO        L_Fade_Strip100
L_Fade_Strip101:
;MirrorClock.c,578 :: 		}
	GOTO        L_Fade_Strip103
L_Fade_Strip99:
;MirrorClock.c,581 :: 		led_strip[pos] = temp;
	MOVF        FARG_Fade_Strip_pos+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Fade_Strip_temp_L0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        Fade_Strip_temp_L0+1, 0 
	MOVWF       POSTINC1+0 
	MOVF        Fade_Strip_temp_L0+2, 0 
	MOVWF       POSTINC1+0 
	MOVF        Fade_Strip_temp_L0+3, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,582 :: 		}
L_Fade_Strip103:
;MirrorClock.c,583 :: 		Set_Color(g, r, b, pos);
	MOVF        Fade_Strip_g_L0+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVF        Fade_Strip_g_L0+1, 0 
	MOVWF       FARG_Set_Color_g+1 
	MOVF        Fade_Strip_g_L0+2, 0 
	MOVWF       FARG_Set_Color_g+2 
	MOVF        Fade_Strip_g_L0+3, 0 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        Fade_Strip_r_L0+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVF        Fade_Strip_r_L0+1, 0 
	MOVWF       FARG_Set_Color_r+1 
	MOVF        Fade_Strip_b_L0+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        FARG_Fade_Strip_pos+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,584 :: 		delay_ms(50);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       69
	MOVWF       R12, 0
	MOVLW       169
	MOVWF       R13, 0
L_Fade_Strip104:
	DECFSZ      R13, 1, 1
	BRA         L_Fade_Strip104
	DECFSZ      R12, 1, 1
	BRA         L_Fade_Strip104
	DECFSZ      R11, 1, 1
	BRA         L_Fade_Strip104
	NOP
	NOP
;MirrorClock.c,585 :: 		CompileLEDDataStream();            // Delay and Display Frame
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,549 :: 		for (nnn = 0; nnn < MaxStep; nnn++)   // Calculate proportional fade rates
	INCF        Fade_Strip_nnn_L0+0, 1 
;MirrorClock.c,586 :: 		}
	GOTO        L_Fade_Strip96
L_Fade_Strip97:
;MirrorClock.c,587 :: 		}
L_end_Fade_Strip:
	RETURN      0
; end of _Fade_Strip

_Solid_Strip:

;MirrorClock.c,590 :: 		void Solid_Strip(unsigned char g, unsigned char r, unsigned char b)
;MirrorClock.c,593 :: 		for(x = 0; x < NumberOfLeds; x ++)
	CLRF        Solid_Strip_x_L0+0 
L_Solid_Strip105:
	MOVLW       60
	SUBWF       Solid_Strip_x_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Solid_Strip106
;MirrorClock.c,595 :: 		Set_Color(g, r, b, x);
	MOVF        FARG_Solid_Strip_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Solid_Strip_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Solid_Strip_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Solid_Strip_x_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,593 :: 		for(x = 0; x < NumberOfLeds; x ++)
	INCF        Solid_Strip_x_L0+0, 1 
;MirrorClock.c,596 :: 		}
	GOTO        L_Solid_Strip105
L_Solid_Strip106:
;MirrorClock.c,597 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,598 :: 		}
L_end_Solid_Strip:
	RETURN      0
; end of _Solid_Strip

_InsertColor:

;MirrorClock.c,601 :: 		void InsertColor(unsigned char g, unsigned char r, unsigned char b)
;MirrorClock.c,604 :: 		for(x = (NumberOfLeds - 1); x > 0; x--)
	MOVLW       59
	MOVWF       InsertColor_x_L0+0 
	MOVLW       0
	MOVWF       InsertColor_x_L0+1 
L_InsertColor108:
	MOVLW       0
	MOVWF       R0 
	MOVF        InsertColor_x_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__InsertColor329
	MOVF        InsertColor_x_L0+0, 0 
	SUBLW       0
L__InsertColor329:
	BTFSC       STATUS+0, 0 
	GOTO        L_InsertColor109
;MirrorClock.c,606 :: 		led_strip[x] = led_strip[x - 1];
	MOVF        InsertColor_x_L0+0, 0 
	MOVWF       R0 
	MOVF        InsertColor_x_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	SUBWF       InsertColor_x_L0+0, 0 
	MOVWF       R3 
	MOVLW       0
	SUBWFB      InsertColor_x_L0+1, 0 
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,604 :: 		for(x = (NumberOfLeds - 1); x > 0; x--)
	MOVLW       1
	SUBWF       InsertColor_x_L0+0, 1 
	MOVLW       0
	SUBWFB      InsertColor_x_L0+1, 1 
;MirrorClock.c,607 :: 		}
	GOTO        L_InsertColor108
L_InsertColor109:
;MirrorClock.c,608 :: 		Set_Color(g, r, b, 0);
	MOVF        FARG_InsertColor_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_InsertColor_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_InsertColor_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	CLRF        FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,609 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,610 :: 		}
L_end_InsertColor:
	RETURN      0
; end of _InsertColor

_FillLeft:

;MirrorClock.c,613 :: 		void FillLeft(unsigned char g, unsigned char r, unsigned char b)
;MirrorClock.c,616 :: 		for(count = NumberOfLeds; count > 0; count--)
	MOVLW       60
	MOVWF       FillLeft_count_L0+0 
L_FillLeft111:
	MOVF        FillLeft_count_L0+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_FillLeft112
;MirrorClock.c,618 :: 		Set_Color(g, r, b, count - 1);
	MOVF        FARG_FillLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_FillLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_FillLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	DECF        FillLeft_count_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,619 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,616 :: 		for(count = NumberOfLeds; count > 0; count--)
	DECF        FillLeft_count_L0+0, 1 
;MirrorClock.c,620 :: 		}
	GOTO        L_FillLeft111
L_FillLeft112:
;MirrorClock.c,621 :: 		}
L_end_FillLeft:
	RETURN      0
; end of _FillLeft

_FillRight:

;MirrorClock.c,624 :: 		void FillRight(unsigned char g, unsigned char r, unsigned char b)
;MirrorClock.c,627 :: 		for(count = 0; count < NumberOfLeds; count++)
	CLRF        FillRight_count_L0+0 
L_FillRight114:
	MOVLW       60
	SUBWF       FillRight_count_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_FillRight115
;MirrorClock.c,629 :: 		Set_Color(g, r, b, count);
	MOVF        FARG_FillRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_FillRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_FillRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        FillRight_count_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,630 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,627 :: 		for(count = 0; count < NumberOfLeds; count++)
	INCF        FillRight_count_L0+0, 1 
;MirrorClock.c,631 :: 		}
	GOTO        L_FillRight114
L_FillRight115:
;MirrorClock.c,632 :: 		}
L_end_FillRight:
	RETURN      0
; end of _FillRight

_Fill_Any_PosR:

;MirrorClock.c,636 :: 		void Fill_Any_PosR(unsigned char g1, unsigned char r1, unsigned char b1, unsigned char g2, unsigned char r2, unsigned char b2, unsigned char g3, unsigned char r3, unsigned char b3, unsigned char start, unsigned char end)
;MirrorClock.c,639 :: 		for(pos = start; pos < end; pos++)
	MOVF        FARG_Fill_Any_PosR_start+0, 0 
	MOVWF       Fill_Any_PosR_pos_L0+0 
L_Fill_Any_PosR117:
	MOVF        FARG_Fill_Any_PosR_end+0, 0 
	SUBWF       Fill_Any_PosR_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Fill_Any_PosR118
;MirrorClock.c,641 :: 		if((pos%3) == 0) {Set_Color(g3, r3, b3, pos);}
	MOVLW       3
	MOVWF       R4 
	MOVF        Fill_Any_PosR_pos_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Fill_Any_PosR120
	MOVF        FARG_Fill_Any_PosR_g3+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Any_PosR_r3+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Any_PosR_b3+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Fill_Any_PosR_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Fill_Any_PosR120:
;MirrorClock.c,642 :: 		if((pos%3) == 1) {Set_Color(g2, r2, b2, pos);}
	MOVLW       3
	MOVWF       R4 
	MOVF        Fill_Any_PosR_pos_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Fill_Any_PosR121
	MOVF        FARG_Fill_Any_PosR_g2+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Any_PosR_r2+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Any_PosR_b2+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Fill_Any_PosR_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Fill_Any_PosR121:
;MirrorClock.c,643 :: 		if((pos%3) == 2) {Set_Color(g1, r1, b1, pos);}
	MOVLW       3
	MOVWF       R4 
	MOVF        Fill_Any_PosR_pos_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_Fill_Any_PosR122
	MOVF        FARG_Fill_Any_PosR_g1+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Any_PosR_r1+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Any_PosR_b1+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Fill_Any_PosR_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Fill_Any_PosR122:
;MirrorClock.c,645 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,639 :: 		for(pos = start; pos < end; pos++)
	INCF        Fill_Any_PosR_pos_L0+0, 1 
;MirrorClock.c,646 :: 		}
	GOTO        L_Fill_Any_PosR117
L_Fill_Any_PosR118:
;MirrorClock.c,647 :: 		}
L_end_Fill_Any_PosR:
	RETURN      0
; end of _Fill_Any_PosR

_Fill_Any_PosL:

;MirrorClock.c,651 :: 		void Fill_Any_PosL(unsigned char g1, unsigned char r1, unsigned char b1, unsigned char g2, unsigned char r2, unsigned char b2, unsigned char g3, unsigned char r3, unsigned char b3, unsigned char start, unsigned char end)
;MirrorClock.c,654 :: 		for(pos = start; pos > end; pos--)
	MOVF        FARG_Fill_Any_PosL_start+0, 0 
	MOVWF       Fill_Any_PosL_pos_L0+0 
L_Fill_Any_PosL123:
	MOVF        Fill_Any_PosL_pos_L0+0, 0 
	SUBWF       FARG_Fill_Any_PosL_end+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Fill_Any_PosL124
;MirrorClock.c,656 :: 		if((pos%3) == 0) {Set_Color(g1, r1, b1, pos - 1);}
	MOVLW       3
	MOVWF       R4 
	MOVF        Fill_Any_PosL_pos_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Fill_Any_PosL126
	MOVF        FARG_Fill_Any_PosL_g1+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Any_PosL_r1+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Any_PosL_b1+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	DECF        Fill_Any_PosL_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Fill_Any_PosL126:
;MirrorClock.c,657 :: 		if((pos%3) == 1) {Set_Color(g2, r2, b2, pos - 1);}
	MOVLW       3
	MOVWF       R4 
	MOVF        Fill_Any_PosL_pos_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Fill_Any_PosL127
	MOVF        FARG_Fill_Any_PosL_g2+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Any_PosL_r2+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Any_PosL_b2+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	DECF        Fill_Any_PosL_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Fill_Any_PosL127:
;MirrorClock.c,658 :: 		if((pos%3) == 2) {Set_Color(g3, r3, b3, pos - 1);}
	MOVLW       3
	MOVWF       R4 
	MOVF        Fill_Any_PosL_pos_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_Fill_Any_PosL128
	MOVF        FARG_Fill_Any_PosL_g3+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Any_PosL_r3+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Any_PosL_b3+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	DECF        Fill_Any_PosL_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Fill_Any_PosL128:
;MirrorClock.c,660 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,654 :: 		for(pos = start; pos > end; pos--)
	DECF        Fill_Any_PosL_pos_L0+0, 1 
;MirrorClock.c,661 :: 		}
	GOTO        L_Fill_Any_PosL123
L_Fill_Any_PosL124:
;MirrorClock.c,662 :: 		}
L_end_Fill_Any_PosL:
	RETURN      0
; end of _Fill_Any_PosL

_Chase_3Color_Left:

;MirrorClock.c,665 :: 		void Chase_3Color_Left(unsigned char g1, unsigned char r1, unsigned char b1, unsigned char g2, unsigned char r2, unsigned char b2, unsigned char g3, unsigned char r3, unsigned char b3, unsigned char repeat)
;MirrorClock.c,669 :: 		pos = NumberOfLeds;
	MOVLW       60
	MOVWF       Chase_3Color_Left_pos_L0+0 
;MirrorClock.c,670 :: 		for(loopframe = 0; loopframe < repeat; loopframe++)   // Increments Led Position every ++pos
	CLRF        Chase_3Color_Left_loopframe_L0+0 
L_Chase_3Color_Left129:
	MOVF        FARG_Chase_3Color_Left_repeat+0, 0 
	SUBWF       Chase_3Color_Left_loopframe_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Chase_3Color_Left130
;MirrorClock.c,672 :: 		delay_ms(250);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       88
	MOVWF       R12, 0
	MOVLW       89
	MOVWF       R13, 0
L_Chase_3Color_Left132:
	DECFSZ      R13, 1, 1
	BRA         L_Chase_3Color_Left132
	DECFSZ      R12, 1, 1
	BRA         L_Chase_3Color_Left132
	DECFSZ      R11, 1, 1
	BRA         L_Chase_3Color_Left132
	NOP
	NOP
;MirrorClock.c,673 :: 		Set_Color(g3, r3, b3, pos + 2);
	MOVF        FARG_Chase_3Color_Left_g3+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Chase_3Color_Left_r3+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Chase_3Color_Left_b3+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVLW       2
	ADDWF       Chase_3Color_Left_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,674 :: 		Set_Color(g2, r2, b2, pos + 1);
	MOVF        FARG_Chase_3Color_Left_g2+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Chase_3Color_Left_r2+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Chase_3Color_Left_b2+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Chase_3Color_Left_pos_L0+0, 0 
	ADDLW       1
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,675 :: 		Set_Color(g1, r1, b1, pos);
	MOVF        FARG_Chase_3Color_Left_g1+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Chase_3Color_Left_r1+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Chase_3Color_Left_b1+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Chase_3Color_Left_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,676 :: 		pos--;
	DECF        Chase_3Color_Left_pos_L0+0, 1 
;MirrorClock.c,677 :: 		if (pos == NumberOfLeds - 3)
	MOVF        Chase_3Color_Left_pos_L0+0, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L_Chase_3Color_Left133
;MirrorClock.c,679 :: 		pos = NumberOfLeds;
	MOVLW       60
	MOVWF       Chase_3Color_Left_pos_L0+0 
;MirrorClock.c,680 :: 		}
L_Chase_3Color_Left133:
;MirrorClock.c,681 :: 		for(strt = 0; strt < NumberOfLeds; strt++)
	CLRF        Chase_3Color_Left_strt_L0+0 
	CLRF        Chase_3Color_Left_strt_L0+1 
L_Chase_3Color_Left134:
	MOVLW       128
	XORWF       Chase_3Color_Left_strt_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Chase_3Color_Left335
	MOVLW       60
	SUBWF       Chase_3Color_Left_strt_L0+0, 0 
L__Chase_3Color_Left335:
	BTFSC       STATUS+0, 0 
	GOTO        L_Chase_3Color_Left135
;MirrorClock.c,683 :: 		led_strip[strt] = led_strip[strt + 1];
	MOVF        Chase_3Color_Left_strt_L0+0, 0 
	MOVWF       R0 
	MOVF        Chase_3Color_Left_strt_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	ADDWF       Chase_3Color_Left_strt_L0+0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      Chase_3Color_Left_strt_L0+1, 0 
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,681 :: 		for(strt = 0; strt < NumberOfLeds; strt++)
	INFSNZ      Chase_3Color_Left_strt_L0+0, 1 
	INCF        Chase_3Color_Left_strt_L0+1, 1 
;MirrorClock.c,684 :: 		}
	GOTO        L_Chase_3Color_Left134
L_Chase_3Color_Left135:
;MirrorClock.c,685 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,670 :: 		for(loopframe = 0; loopframe < repeat; loopframe++)   // Increments Led Position every ++pos
	INCF        Chase_3Color_Left_loopframe_L0+0, 1 
;MirrorClock.c,686 :: 		}
	GOTO        L_Chase_3Color_Left129
L_Chase_3Color_Left130:
;MirrorClock.c,687 :: 		}
L_end_Chase_3Color_Left:
	RETURN      0
; end of _Chase_3Color_Left

_Chase_3Color_Right:

;MirrorClock.c,690 :: 		void Chase_3Color_Right(unsigned char g1, unsigned char r1, unsigned char b1, unsigned char g2, unsigned char r2, unsigned char b2, unsigned char g3, unsigned char r3, unsigned char b3, unsigned char repeat)
;MirrorClock.c,694 :: 		pos = 0;
	CLRF        Chase_3Color_Right_pos_L0+0 
;MirrorClock.c,695 :: 		for(loopframe = 0; loopframe < repeat; loopframe++)   // Increments loopframe NumberOfLeds counts including zero
	CLRF        Chase_3Color_Right_loopframe_L0+0 
L_Chase_3Color_Right137:
	MOVF        FARG_Chase_3Color_Right_repeat+0, 0 
	SUBWF       Chase_3Color_Right_loopframe_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Chase_3Color_Right138
;MirrorClock.c,697 :: 		delay_ms(250);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       88
	MOVWF       R12, 0
	MOVLW       89
	MOVWF       R13, 0
L_Chase_3Color_Right140:
	DECFSZ      R13, 1, 1
	BRA         L_Chase_3Color_Right140
	DECFSZ      R12, 1, 1
	BRA         L_Chase_3Color_Right140
	DECFSZ      R11, 1, 1
	BRA         L_Chase_3Color_Right140
	NOP
	NOP
;MirrorClock.c,698 :: 		Set_Color(g1, r1, b1, pos - 0);      // Increments Led Position every ++pos
	MOVF        FARG_Chase_3Color_Right_g1+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Chase_3Color_Right_r1+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Chase_3Color_Right_b1+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Chase_3Color_Right_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,699 :: 		Set_Color(g2, r2, b2, pos - 1);
	MOVF        FARG_Chase_3Color_Right_g2+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Chase_3Color_Right_r2+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Chase_3Color_Right_b2+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	DECF        Chase_3Color_Right_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,700 :: 		Set_Color(g3, r3, b3, pos - 2);
	MOVF        FARG_Chase_3Color_Right_g3+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Chase_3Color_Right_r3+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Chase_3Color_Right_b3+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVLW       2
	SUBWF       Chase_3Color_Right_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,701 :: 		pos++;
	INCF        Chase_3Color_Right_pos_L0+0, 1 
;MirrorClock.c,702 :: 		if(pos == 3) pos = 0;
	MOVF        Chase_3Color_Right_pos_L0+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_Chase_3Color_Right141
	CLRF        Chase_3Color_Right_pos_L0+0 
L_Chase_3Color_Right141:
;MirrorClock.c,704 :: 		for(strt = NumberOfLeds; strt >= 0; strt--)   // Counts down from NumberOfLeds to 0
	MOVLW       60
	MOVWF       Chase_3Color_Right_strt_L0+0 
	MOVLW       0
	MOVWF       Chase_3Color_Right_strt_L0+1 
L_Chase_3Color_Right142:
	MOVLW       128
	XORWF       Chase_3Color_Right_strt_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Chase_3Color_Right337
	MOVLW       0
	SUBWF       Chase_3Color_Right_strt_L0+0, 0 
L__Chase_3Color_Right337:
	BTFSS       STATUS+0, 0 
	GOTO        L_Chase_3Color_Right143
;MirrorClock.c,706 :: 		led_strip[strt + 1] = led_strip[strt];
	MOVLW       1
	ADDWF       Chase_3Color_Right_strt_L0+0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      Chase_3Color_Right_strt_L0+1, 0 
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        Chase_3Color_Right_strt_L0+0, 0 
	MOVWF       R0 
	MOVF        Chase_3Color_Right_strt_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,704 :: 		for(strt = NumberOfLeds; strt >= 0; strt--)   // Counts down from NumberOfLeds to 0
	MOVLW       1
	SUBWF       Chase_3Color_Right_strt_L0+0, 1 
	MOVLW       0
	SUBWFB      Chase_3Color_Right_strt_L0+1, 1 
;MirrorClock.c,707 :: 		}
	GOTO        L_Chase_3Color_Right142
L_Chase_3Color_Right143:
;MirrorClock.c,708 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,695 :: 		for(loopframe = 0; loopframe < repeat; loopframe++)   // Increments loopframe NumberOfLeds counts including zero
	INCF        Chase_3Color_Right_loopframe_L0+0, 1 
;MirrorClock.c,709 :: 		}
	GOTO        L_Chase_3Color_Right137
L_Chase_3Color_Right138:
;MirrorClock.c,710 :: 		}
L_end_Chase_3Color_Right:
	RETURN      0
; end of _Chase_3Color_Right

_MovLeft_Chase_and_Clear:

;MirrorClock.c,713 :: 		void MovLeft_Chase_and_Clear(unsigned char position)
;MirrorClock.c,716 :: 		for(loopframe = 0; loopframe < position; loopframe++)
	CLRF        MovLeft_Chase_and_Clear_loopframe_L0+0 
L_MovLeft_Chase_and_Clear145:
	MOVF        FARG_MovLeft_Chase_and_Clear_position+0, 0 
	SUBWF       MovLeft_Chase_and_Clear_loopframe_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MovLeft_Chase_and_Clear146
;MirrorClock.c,718 :: 		for(pos = 0; pos < NumberOfLeds; pos++)
	CLRF        MovLeft_Chase_and_Clear_pos_L0+0 
L_MovLeft_Chase_and_Clear148:
	MOVLW       60
	SUBWF       MovLeft_Chase_and_Clear_pos_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MovLeft_Chase_and_Clear149
;MirrorClock.c,720 :: 		led_strip[pos] = led_strip[pos + 1];
	MOVF        MovLeft_Chase_and_Clear_pos_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        MovLeft_Chase_and_Clear_pos_L0+0, 0 
	ADDLW       1
	MOVWF       R3 
	CLRF        R4 
	MOVLW       0
	ADDWFC      R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,718 :: 		for(pos = 0; pos < NumberOfLeds; pos++)
	INCF        MovLeft_Chase_and_Clear_pos_L0+0, 1 
;MirrorClock.c,721 :: 		}
	GOTO        L_MovLeft_Chase_and_Clear148
L_MovLeft_Chase_and_Clear149:
;MirrorClock.c,722 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,723 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_MovLeft_Chase_and_Clear151:
	DECFSZ      R13, 1, 1
	BRA         L_MovLeft_Chase_and_Clear151
	DECFSZ      R12, 1, 1
	BRA         L_MovLeft_Chase_and_Clear151
	DECFSZ      R11, 1, 1
	BRA         L_MovLeft_Chase_and_Clear151
	NOP
	NOP
;MirrorClock.c,724 :: 		led_strip[NumberOfLeds] = 0x000000;
	CLRF        _led_strip+240 
	CLRF        _led_strip+241 
	CLRF        _led_strip+242 
	CLRF        _led_strip+243 
;MirrorClock.c,716 :: 		for(loopframe = 0; loopframe < position; loopframe++)
	INCF        MovLeft_Chase_and_Clear_loopframe_L0+0, 1 
;MirrorClock.c,725 :: 		}
	GOTO        L_MovLeft_Chase_and_Clear145
L_MovLeft_Chase_and_Clear146:
;MirrorClock.c,726 :: 		}
L_end_MovLeft_Chase_and_Clear:
	RETURN      0
; end of _MovLeft_Chase_and_Clear

_MovRight_Chase_and_Clear:

;MirrorClock.c,729 :: 		void MovRight_Chase_and_Clear(unsigned char position)
;MirrorClock.c,732 :: 		for(loopframe = 0; loopframe < position; loopframe++)
	CLRF        MovRight_Chase_and_Clear_loopframe_L0+0 
L_MovRight_Chase_and_Clear152:
	MOVF        FARG_MovRight_Chase_and_Clear_position+0, 0 
	SUBWF       MovRight_Chase_and_Clear_loopframe_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MovRight_Chase_and_Clear153
;MirrorClock.c,734 :: 		for(pos = (NumberOfLeds - 1); pos > 0; pos--)
	MOVLW       59
	MOVWF       MovRight_Chase_and_Clear_pos_L0+0 
L_MovRight_Chase_and_Clear155:
	MOVF        MovRight_Chase_and_Clear_pos_L0+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_MovRight_Chase_and_Clear156
;MirrorClock.c,736 :: 		led_strip[pos] = led_strip[pos - 1];
	MOVF        MovRight_Chase_and_Clear_pos_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	DECF        MovRight_Chase_and_Clear_pos_L0+0, 0 
	MOVWF       R3 
	CLRF        R4 
	MOVLW       0
	SUBWFB      R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,734 :: 		for(pos = (NumberOfLeds - 1); pos > 0; pos--)
	DECF        MovRight_Chase_and_Clear_pos_L0+0, 1 
;MirrorClock.c,737 :: 		}
	GOTO        L_MovRight_Chase_and_Clear155
L_MovRight_Chase_and_Clear156:
;MirrorClock.c,738 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,739 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_MovRight_Chase_and_Clear158:
	DECFSZ      R13, 1, 1
	BRA         L_MovRight_Chase_and_Clear158
	DECFSZ      R12, 1, 1
	BRA         L_MovRight_Chase_and_Clear158
	DECFSZ      R11, 1, 1
	BRA         L_MovRight_Chase_and_Clear158
	NOP
	NOP
;MirrorClock.c,740 :: 		led_strip[0] = 0x000000;
	CLRF        _led_strip+0 
	CLRF        _led_strip+1 
	CLRF        _led_strip+2 
	CLRF        _led_strip+3 
;MirrorClock.c,732 :: 		for(loopframe = 0; loopframe < position; loopframe++)
	INCF        MovRight_Chase_and_Clear_loopframe_L0+0, 1 
;MirrorClock.c,741 :: 		}
	GOTO        L_MovRight_Chase_and_Clear152
L_MovRight_Chase_and_Clear153:
;MirrorClock.c,742 :: 		}
L_end_MovRight_Chase_and_Clear:
	RETURN      0
; end of _MovRight_Chase_and_Clear

_Fill_Dot:

;MirrorClock.c,746 :: 		void Fill_Dot (unsigned char g, unsigned char r, unsigned char b, unsigned char pos)
;MirrorClock.c,748 :: 		Set_Color(g, r, b, pos);            //change the color
	MOVF        FARG_Fill_Dot_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Dot_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Dot_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        FARG_Fill_Dot_pos+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,749 :: 		CompileLEDDataStream();             //refill LED strip
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,750 :: 		}
L_end_Fill_Dot:
	RETURN      0
; end of _Fill_Dot

_Fill_Dot_PosR:

;MirrorClock.c,753 :: 		void Fill_Dot_PosR (unsigned char g, unsigned char r, unsigned char b, unsigned char start, unsigned char end)
;MirrorClock.c,756 :: 		for(pos = start; pos <= end; pos++)
	MOVF        FARG_Fill_Dot_PosR_start+0, 0 
	MOVWF       Fill_Dot_PosR_pos_L0+0 
L_Fill_Dot_PosR159:
	MOVF        Fill_Dot_PosR_pos_L0+0, 0 
	SUBWF       FARG_Fill_Dot_PosR_end+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_Fill_Dot_PosR160
;MirrorClock.c,758 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Fill_Dot_PosR162:
	DECFSZ      R13, 1, 1
	BRA         L_Fill_Dot_PosR162
	DECFSZ      R12, 1, 1
	BRA         L_Fill_Dot_PosR162
	DECFSZ      R11, 1, 1
	BRA         L_Fill_Dot_PosR162
	NOP
;MirrorClock.c,759 :: 		Set_Color(g, r, b, pos);
	MOVF        FARG_Fill_Dot_PosR_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Dot_PosR_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Dot_PosR_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Fill_Dot_PosR_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,760 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,756 :: 		for(pos = start; pos <= end; pos++)
	INCF        Fill_Dot_PosR_pos_L0+0, 1 
;MirrorClock.c,761 :: 		}
	GOTO        L_Fill_Dot_PosR159
L_Fill_Dot_PosR160:
;MirrorClock.c,762 :: 		}
L_end_Fill_Dot_PosR:
	RETURN      0
; end of _Fill_Dot_PosR

_Fill_Dot_PosL:

;MirrorClock.c,765 :: 		void Fill_Dot_PosL(unsigned char g, unsigned char r, unsigned char b, unsigned char start, unsigned char end)
;MirrorClock.c,768 :: 		for(pos = start; pos >= end; pos--)
	MOVF        FARG_Fill_Dot_PosL_start+0, 0 
	MOVWF       Fill_Dot_PosL_pos_L0+0 
L_Fill_Dot_PosL163:
	MOVF        FARG_Fill_Dot_PosL_end+0, 0 
	SUBWF       Fill_Dot_PosL_pos_L0+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_Fill_Dot_PosL164
;MirrorClock.c,770 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Fill_Dot_PosL166:
	DECFSZ      R13, 1, 1
	BRA         L_Fill_Dot_PosL166
	DECFSZ      R12, 1, 1
	BRA         L_Fill_Dot_PosL166
	DECFSZ      R11, 1, 1
	BRA         L_Fill_Dot_PosL166
	NOP
;MirrorClock.c,771 :: 		Set_Color(g, r, b, pos - 1);
	MOVF        FARG_Fill_Dot_PosL_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_Fill_Dot_PosL_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_Fill_Dot_PosL_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	DECF        Fill_Dot_PosL_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,768 :: 		for(pos = start; pos >= end; pos--)
	DECF        Fill_Dot_PosL_pos_L0+0, 1 
;MirrorClock.c,772 :: 		}
	GOTO        L_Fill_Dot_PosL163
L_Fill_Dot_PosL164:
;MirrorClock.c,773 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,774 :: 		}
L_end_Fill_Dot_PosL:
	RETURN      0
; end of _Fill_Dot_PosL

_rainbowCycleLeft:

;MirrorClock.c,778 :: 		void rainbowCycleLeft(unsigned char cycles)
;MirrorClock.c,781 :: 		for(j = 0; j < 256 * cycles; j++)
	CLRF        rainbowCycleLeft_j_L0+0 
	CLRF        rainbowCycleLeft_j_L0+1 
L_rainbowCycleLeft167:
	MOVF        FARG_rainbowCycleLeft_cycles+0, 0 
	MOVWF       R2 
	CLRF        R1 
	MOVF        R2, 0 
	SUBWF       rainbowCycleLeft_j_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__rainbowCycleLeft344
	MOVF        R1, 0 
	SUBWF       rainbowCycleLeft_j_L0+0, 0 
L__rainbowCycleLeft344:
	BTFSC       STATUS+0, 0 
	GOTO        L_rainbowCycleLeft168
;MirrorClock.c,783 :: 		for(i = 0; i < NumberOfLeds; i++)
	CLRF        rainbowCycleLeft_i_L0+0 
	CLRF        rainbowCycleLeft_i_L0+1 
L_rainbowCycleLeft170:
	MOVLW       0
	SUBWF       rainbowCycleLeft_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__rainbowCycleLeft345
	MOVLW       60
	SUBWF       rainbowCycleLeft_i_L0+0, 0 
L__rainbowCycleLeft345:
	BTFSC       STATUS+0, 0 
	GOTO        L_rainbowCycleLeft171
;MirrorClock.c,785 :: 		led_strip[i] = Wheel(((i * 256 / NumberOfLeds) + j) & 255);
	MOVF        rainbowCycleLeft_i_L0+0, 0 
	MOVWF       R0 
	MOVF        rainbowCycleLeft_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FLOC__rainbowCycleLeft+0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FLOC__rainbowCycleLeft+1 
	MOVF        rainbowCycleLeft_i_L0+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        rainbowCycleLeft_j_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       FARG_Wheel_WheelPos+0 
	MOVLW       255
	ANDWF       FARG_Wheel_WheelPos+0, 1 
	CALL        _Wheel+0, 0
	MOVFF       FLOC__rainbowCycleLeft+0, FSR1
	MOVFF       FLOC__rainbowCycleLeft+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,783 :: 		for(i = 0; i < NumberOfLeds; i++)
	INFSNZ      rainbowCycleLeft_i_L0+0, 1 
	INCF        rainbowCycleLeft_i_L0+1, 1 
;MirrorClock.c,786 :: 		}
	GOTO        L_rainbowCycleLeft170
L_rainbowCycleLeft171:
;MirrorClock.c,787 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,781 :: 		for(j = 0; j < 256 * cycles; j++)
	INFSNZ      rainbowCycleLeft_j_L0+0, 1 
	INCF        rainbowCycleLeft_j_L0+1, 1 
;MirrorClock.c,788 :: 		}
	GOTO        L_rainbowCycleLeft167
L_rainbowCycleLeft168:
;MirrorClock.c,789 :: 		}
L_end_rainbowCycleLeft:
	RETURN      0
; end of _rainbowCycleLeft

_rainbowCycleRight:

;MirrorClock.c,793 :: 		void rainbowCycleRight(unsigned char cycles)
;MirrorClock.c,796 :: 		for(j = 256 * cycles; j--;)
	MOVF        FARG_rainbowCycleRight_cycles+0, 0 
	MOVWF       rainbowCycleRight_j_L0+1 
	CLRF        rainbowCycleRight_j_L0+0 
L_rainbowCycleRight173:
	MOVF        rainbowCycleRight_j_L0+0, 0 
	MOVWF       R0 
	MOVF        rainbowCycleRight_j_L0+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       rainbowCycleRight_j_L0+0, 1 
	MOVLW       0
	SUBWFB      rainbowCycleRight_j_L0+1, 1 
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_rainbowCycleRight174
;MirrorClock.c,798 :: 		for(i = 0; i < NumberOfLeds; i++)
	CLRF        rainbowCycleRight_i_L0+0 
	CLRF        rainbowCycleRight_i_L0+1 
L_rainbowCycleRight176:
	MOVLW       0
	SUBWF       rainbowCycleRight_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__rainbowCycleRight347
	MOVLW       60
	SUBWF       rainbowCycleRight_i_L0+0, 0 
L__rainbowCycleRight347:
	BTFSC       STATUS+0, 0 
	GOTO        L_rainbowCycleRight177
;MirrorClock.c,800 :: 		led_strip[i] = Wheel(((i * 256 / NumberOfLeds) + j) & 255);
	MOVF        rainbowCycleRight_i_L0+0, 0 
	MOVWF       R0 
	MOVF        rainbowCycleRight_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FLOC__rainbowCycleRight+0 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FLOC__rainbowCycleRight+1 
	MOVF        rainbowCycleRight_i_L0+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        rainbowCycleRight_j_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       FARG_Wheel_WheelPos+0 
	MOVLW       255
	ANDWF       FARG_Wheel_WheelPos+0, 1 
	CALL        _Wheel+0, 0
	MOVFF       FLOC__rainbowCycleRight+0, FSR1
	MOVFF       FLOC__rainbowCycleRight+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVF        R2, 0 
	MOVWF       POSTINC1+0 
	MOVF        R3, 0 
	MOVWF       POSTINC1+0 
;MirrorClock.c,798 :: 		for(i = 0; i < NumberOfLeds; i++)
	INFSNZ      rainbowCycleRight_i_L0+0, 1 
	INCF        rainbowCycleRight_i_L0+1, 1 
;MirrorClock.c,801 :: 		}
	GOTO        L_rainbowCycleRight176
L_rainbowCycleRight177:
;MirrorClock.c,802 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,803 :: 		}
	GOTO        L_rainbowCycleRight173
L_rainbowCycleRight174:
;MirrorClock.c,804 :: 		}
L_end_rainbowCycleRight:
	RETURN      0
; end of _rainbowCycleRight

_CometLeft:

;MirrorClock.c,807 :: 		void CometLeft(unsigned char g, unsigned char r, unsigned char b)
;MirrorClock.c,810 :: 		for(v = 0; v < NumberOfLeds; v++)
	CLRF        CometLeft_v_L0+0 
L_CometLeft179:
	MOVLW       60
	SUBWF       CometLeft_v_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_CometLeft180
;MirrorClock.c,812 :: 		delay_ms(60);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       134
	MOVWF       R12, 0
	MOVLW       153
	MOVWF       R13, 0
L_CometLeft182:
	DECFSZ      R13, 1, 1
	BRA         L_CometLeft182
	DECFSZ      R12, 1, 1
	BRA         L_CometLeft182
	DECFSZ      R11, 1, 1
	BRA         L_CometLeft182
;MirrorClock.c,813 :: 		Set_Color(g, r, b, v);
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,814 :: 		Set_Color(g / 2, r / 2, b / 2, v - 1);
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	DECF        CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,815 :: 		Set_Color(g / 4, r / 4, b / 4, v - 2);
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       2
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,816 :: 		Set_Color(g / 8, r / 8, b / 8, v - 3);
	MOVLW       3
	MOVWF       R0 
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometLeft349:
	BZ          L__CometLeft350
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometLeft349
L__CometLeft350:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       3
	MOVWF       R0 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometLeft351:
	BZ          L__CometLeft352
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometLeft351
L__CometLeft352:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       3
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,817 :: 		Set_Color(g / 16, r / 16, b / 16, v - 4);
	MOVLW       4
	MOVWF       R0 
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometLeft353:
	BZ          L__CometLeft354
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometLeft353
L__CometLeft354:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       4
	MOVWF       R0 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometLeft355:
	BZ          L__CometLeft356
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometLeft355
L__CometLeft356:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       4
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,818 :: 		Set_Color(g / 32, r / 32, b / 32, v - 5);
	MOVLW       5
	MOVWF       R0 
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometLeft357:
	BZ          L__CometLeft358
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometLeft357
L__CometLeft358:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       5
	MOVWF       R0 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometLeft359:
	BZ          L__CometLeft360
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometLeft359
L__CometLeft360:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       5
	MOVWF       R0 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
L__CometLeft361:
	BZ          L__CometLeft362
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	ADDLW       255
	GOTO        L__CometLeft361
L__CometLeft362:
	MOVLW       5
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,819 :: 		Set_Color(g / 64, r / 64, b / 64, v - 6);
	MOVLW       6
	MOVWF       R0 
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometLeft363:
	BZ          L__CometLeft364
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometLeft363
L__CometLeft364:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       6
	MOVWF       R0 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometLeft365:
	BZ          L__CometLeft366
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometLeft365
L__CometLeft366:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       6
	MOVWF       R0 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
L__CometLeft367:
	BZ          L__CometLeft368
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	ADDLW       255
	GOTO        L__CometLeft367
L__CometLeft368:
	MOVLW       6
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,820 :: 		Set_Color(g / 128, r / 128, b / 128, v - 7);
	MOVLW       7
	MOVWF       R0 
	MOVF        FARG_CometLeft_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometLeft369:
	BZ          L__CometLeft370
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometLeft369
L__CometLeft370:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       7
	MOVWF       R0 
	MOVF        FARG_CometLeft_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometLeft371:
	BZ          L__CometLeft372
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometLeft371
L__CometLeft372:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       7
	MOVWF       R0 
	MOVF        FARG_CometLeft_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
L__CometLeft373:
	BZ          L__CometLeft374
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	ADDLW       255
	GOTO        L__CometLeft373
L__CometLeft374:
	MOVLW       7
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,821 :: 		Set_Color(0, 0, 0, v - 8);
	CLRF        FARG_Set_Color_g+0 
	CLRF        FARG_Set_Color_g+1 
	CLRF        FARG_Set_Color_g+2 
	CLRF        FARG_Set_Color_g+3 
	CLRF        FARG_Set_Color_r+0 
	CLRF        FARG_Set_Color_r+1 
	CLRF        FARG_Set_Color_b+0 
	MOVLW       8
	SUBWF       CometLeft_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,822 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,810 :: 		for(v = 0; v < NumberOfLeds; v++)
	INCF        CometLeft_v_L0+0, 1 
;MirrorClock.c,823 :: 		}
	GOTO        L_CometLeft179
L_CometLeft180:
;MirrorClock.c,824 :: 		Clear_Strip();
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,825 :: 		}
L_end_CometLeft:
	RETURN      0
; end of _CometLeft

_CometRight:

;MirrorClock.c,828 :: 		void CometRight(unsigned char g, unsigned char r, unsigned char b)
;MirrorClock.c,831 :: 		for(v = NumberOfLeds; v--;)
	MOVLW       60
	MOVWF       CometRight_v_L0+0 
L_CometRight183:
	MOVF        CometRight_v_L0+0, 0 
	MOVWF       R0 
	DECF        CometRight_v_L0+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_CometRight184
;MirrorClock.c,833 :: 		delay_ms(60);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       134
	MOVWF       R12, 0
	MOVLW       153
	MOVWF       R13, 0
L_CometRight186:
	DECFSZ      R13, 1, 1
	BRA         L_CometRight186
	DECFSZ      R12, 1, 1
	BRA         L_CometRight186
	DECFSZ      R11, 1, 1
	BRA         L_CometRight186
;MirrorClock.c,834 :: 		Set_Color(g, r, b, v - 9);
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVLW       9
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,835 :: 		Set_Color(g / 2, r / 2, b / 2, v - 8);
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       8
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,836 :: 		Set_Color(g / 4, r / 4, b / 4, v - 7);
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       7
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,837 :: 		Set_Color(g / 8, r / 8, b / 8, v - 6);
	MOVLW       3
	MOVWF       R0 
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometRight376:
	BZ          L__CometRight377
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometRight376
L__CometRight377:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       3
	MOVWF       R0 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometRight378:
	BZ          L__CometRight379
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometRight378
L__CometRight379:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       6
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,838 :: 		Set_Color(g / 16, r / 16, b / 16, v - 5);
	MOVLW       4
	MOVWF       R0 
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometRight380:
	BZ          L__CometRight381
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometRight380
L__CometRight381:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       4
	MOVWF       R0 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometRight382:
	BZ          L__CometRight383
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometRight382
L__CometRight383:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	MOVLW       5
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,839 :: 		Set_Color(g / 32, r / 32, b / 32, v - 4);
	MOVLW       5
	MOVWF       R0 
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometRight384:
	BZ          L__CometRight385
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometRight384
L__CometRight385:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       5
	MOVWF       R0 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometRight386:
	BZ          L__CometRight387
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometRight386
L__CometRight387:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       5
	MOVWF       R0 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
L__CometRight388:
	BZ          L__CometRight389
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	ADDLW       255
	GOTO        L__CometRight388
L__CometRight389:
	MOVLW       4
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,840 :: 		Set_Color(g / 64, r / 64, b / 64, v - 3);
	MOVLW       6
	MOVWF       R0 
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometRight390:
	BZ          L__CometRight391
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometRight390
L__CometRight391:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       6
	MOVWF       R0 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometRight392:
	BZ          L__CometRight393
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometRight392
L__CometRight393:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       6
	MOVWF       R0 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
L__CometRight394:
	BZ          L__CometRight395
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	ADDLW       255
	GOTO        L__CometRight394
L__CometRight395:
	MOVLW       3
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,841 :: 		Set_Color(g / 128, r / 128, b / 128, v - 2 );
	MOVLW       7
	MOVWF       R0 
	MOVF        FARG_CometRight_g+0, 0 
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVF        R0, 0 
L__CometRight396:
	BZ          L__CometRight397
	RRCF        FARG_Set_Color_g+0, 1 
	BCF         FARG_Set_Color_g+0, 7 
	ADDLW       255
	GOTO        L__CometRight396
L__CometRight397:
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       7
	MOVWF       R0 
	MOVF        FARG_CometRight_r+0, 0 
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVF        R0, 0 
L__CometRight398:
	BZ          L__CometRight399
	RRCF        FARG_Set_Color_r+0, 1 
	BCF         FARG_Set_Color_r+0, 7 
	ADDLW       255
	GOTO        L__CometRight398
L__CometRight399:
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       7
	MOVWF       R0 
	MOVF        FARG_CometRight_b+0, 0 
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
L__CometRight400:
	BZ          L__CometRight401
	RRCF        FARG_Set_Color_b+0, 1 
	BCF         FARG_Set_Color_b+0, 7 
	ADDLW       255
	GOTO        L__CometRight400
L__CometRight401:
	MOVLW       2
	SUBWF       CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,842 :: 		Set_Color(0, 0, 0, v - 1);
	CLRF        FARG_Set_Color_g+0 
	CLRF        FARG_Set_Color_g+1 
	CLRF        FARG_Set_Color_g+2 
	CLRF        FARG_Set_Color_g+3 
	CLRF        FARG_Set_Color_r+0 
	CLRF        FARG_Set_Color_r+1 
	CLRF        FARG_Set_Color_b+0 
	DECF        CometRight_v_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,843 :: 		CompileLEDDataStream();
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,844 :: 		}
	GOTO        L_CometRight183
L_CometRight184:
;MirrorClock.c,845 :: 		}
L_end_CometRight:
	RETURN      0
; end of _CometRight

_Blank_MAX7219:

;MirrorClock.c,849 :: 		void Blank_MAX7219()
;MirrorClock.c,851 :: 		send_to_max7219(0x01, 15);         //blank the LEDs
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,852 :: 		send_to_max7219(0x02, 15);
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,853 :: 		send_to_max7219(0x03, 15);
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,854 :: 		send_to_max7219(0x04, 15);
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,855 :: 		send_to_max7219(0x05, 15);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,856 :: 		send_to_max7219(0x06, 15);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,857 :: 		send_to_max7219(0x07, 15);
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,858 :: 		send_to_max7219(0x08, 15);
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       15
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,859 :: 		}
L_end_Blank_MAX7219:
	RETURN      0
; end of _Blank_MAX7219

_Run_Patterns:

;MirrorClock.c,863 :: 		void Run_Patterns()
;MirrorClock.c,866 :: 		Beep();
	CALL        _Beep+0, 0
;MirrorClock.c,867 :: 		if(Melody_Out == 1) {Melody_Out = 0;}          //make sure melody not playing else it wont stop
	BTFSS       RB3_bit+0, BitPos(RB3_bit+0) 
	GOTO        L_Run_Patterns187
	BCF         RB3_bit+0, BitPos(RB3_bit+0) 
L_Run_Patterns187:
;MirrorClock.c,868 :: 		Blank_MAX7219();                               //blank off the date display
	CALL        _Blank_MAX7219+0, 0
;MirrorClock.c,869 :: 		Clear_Strip();                                 //clear all leds
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,872 :: 		RandomColor(100);
	MOVLW       100
	MOVWF       FARG_RandomColor_loops+0 
	MOVLW       0
	MOVWF       FARG_RandomColor_loops+1 
	CALL        _RandomColor+0, 0
;MirrorClock.c,874 :: 		CometRight(red);
	CLRF        FARG_CometRight_g+0 
	MOVLW       255
	MOVWF       FARG_CometRight_r+0 
	CLRF        FARG_CometRight_b+0 
	CALL        _CometRight+0, 0
;MirrorClock.c,875 :: 		CometLeft(green);
	MOVLW       255
	MOVWF       FARG_CometLeft_g+0 
	CLRF        FARG_CometLeft_r+0 
	CLRF        FARG_CometLeft_b+0 
	CALL        _CometLeft+0, 0
;MirrorClock.c,876 :: 		CometRight(blue);
	CLRF        FARG_CometRight_g+0 
	CLRF        FARG_CometRight_r+0 
	MOVLW       255
	MOVWF       FARG_CometRight_b+0 
	CALL        _CometRight+0, 0
;MirrorClock.c,877 :: 		CometLeft(yellow);
	MOVLW       255
	MOVWF       FARG_CometLeft_g+0 
	MOVLW       255
	MOVWF       FARG_CometLeft_r+0 
	CLRF        FARG_CometLeft_b+0 
	CALL        _CometLeft+0, 0
;MirrorClock.c,879 :: 		rainbowCycleRight(2);
	MOVLW       2
	MOVWF       FARG_rainbowCycleRight_cycles+0 
	CALL        _rainbowCycleRight+0, 0
;MirrorClock.c,880 :: 		rainbowCycleLeft(2);
	MOVLW       2
	MOVWF       FARG_rainbowCycleLeft_cycles+0 
	CALL        _rainbowCycleLeft+0, 0
;MirrorClock.c,881 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns188:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns188
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns188
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns188
	NOP
;MirrorClock.c,883 :: 		Clear_Strip();
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,884 :: 		RandomColor(500);
	MOVLW       244
	MOVWF       FARG_RandomColor_loops+0 
	MOVLW       1
	MOVWF       FARG_RandomColor_loops+1 
	CALL        _RandomColor+0, 0
;MirrorClock.c,885 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns189:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns189
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns189
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns189
	NOP
;MirrorClock.c,887 :: 		for(counter = 0; counter < 10; ++counter)
	CLRF        Run_Patterns_counter_L0+0 
L_Run_Patterns190:
	MOVLW       10
	SUBWF       Run_Patterns_counter_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Run_Patterns191
;MirrorClock.c,889 :: 		InsertColor(black);
	CLRF        FARG_InsertColor_g+0 
	CLRF        FARG_InsertColor_r+0 
	CLRF        FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,890 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns193:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns193
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns193
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns193
	NOP
;MirrorClock.c,891 :: 		InsertColor(turq);
	MOVLW       245
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       40
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       100
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,892 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns194:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns194
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns194
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns194
	NOP
;MirrorClock.c,893 :: 		InsertColor(magenta);
	CLRF        FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,894 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns195:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns195
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns195
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns195
	NOP
;MirrorClock.c,895 :: 		InsertColor(yellow);
	MOVLW       255
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	CLRF        FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,896 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns196:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns196
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns196
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns196
	NOP
;MirrorClock.c,897 :: 		InsertColor(pink);
	MOVLW       30
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       12
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,898 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns197:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns197
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns197
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns197
	NOP
;MirrorClock.c,899 :: 		InsertColor(red);
	CLRF        FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	CLRF        FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,900 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns198:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns198
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns198
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns198
	NOP
;MirrorClock.c,901 :: 		InsertColor(white);
	MOVLW       255
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,902 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns199:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns199
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns199
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns199
	NOP
;MirrorClock.c,903 :: 		InsertColor(crimson);
	MOVLW       3
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       220
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       3
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,904 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns200:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns200
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns200
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns200
	NOP
;MirrorClock.c,905 :: 		InsertColor(green);
	MOVLW       255
	MOVWF       FARG_InsertColor_g+0 
	CLRF        FARG_InsertColor_r+0 
	CLRF        FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,906 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns201:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns201
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns201
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns201
	NOP
;MirrorClock.c,907 :: 		InsertColor(orange);
	MOVLW       20
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	CLRF        FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,908 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns202:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns202
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns202
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns202
	NOP
;MirrorClock.c,909 :: 		InsertColor(blue);
	CLRF        FARG_InsertColor_g+0 
	CLRF        FARG_InsertColor_r+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,910 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns203:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns203
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns203
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns203
	NOP
;MirrorClock.c,911 :: 		InsertColor(olive);
	MOVLW       220
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       100
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       47
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,912 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns204:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns204
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns204
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns204
	NOP
;MirrorClock.c,913 :: 		InsertColor(purple);
	CLRF        FARG_InsertColor_g+0 
	MOVLW       75
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       130
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,914 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns205:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns205
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns205
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns205
	NOP
;MirrorClock.c,915 :: 		InsertColor(lime);
	MOVLW       254
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       64
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       20
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,916 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns206:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns206
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns206
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns206
	NOP
;MirrorClock.c,917 :: 		InsertColor(skyblue);
	MOVLW       206
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       135
	MOVWF       FARG_InsertColor_r+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,918 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns207:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns207
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns207
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns207
	NOP
;MirrorClock.c,919 :: 		InsertColor(gold);
	MOVLW       160
	MOVWF       FARG_InsertColor_g+0 
	MOVLW       255
	MOVWF       FARG_InsertColor_r+0 
	CLRF        FARG_InsertColor_b+0 
	CALL        _InsertColor+0, 0
;MirrorClock.c,920 :: 		delay_ms(90);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       73
	MOVWF       R12, 0
	MOVLW       102
	MOVWF       R13, 0
L_Run_Patterns208:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns208
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns208
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns208
	NOP
;MirrorClock.c,887 :: 		for(counter = 0; counter < 10; ++counter)
	INCF        Run_Patterns_counter_L0+0, 1 
;MirrorClock.c,921 :: 		}
	GOTO        L_Run_Patterns190
L_Run_Patterns191:
;MirrorClock.c,922 :: 		Clear_Strip();
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,924 :: 		Fill_Dot_PosR(red, 0, 59);
	CLRF        FARG_Fill_Dot_PosR_g+0 
	MOVLW       255
	MOVWF       FARG_Fill_Dot_PosR_r+0 
	CLRF        FARG_Fill_Dot_PosR_b+0 
	CLRF        FARG_Fill_Dot_PosR_start+0 
	MOVLW       59
	MOVWF       FARG_Fill_Dot_PosR_end+0 
	CALL        _Fill_Dot_PosR+0, 0
;MirrorClock.c,925 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_Run_Patterns209:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns209
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns209
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns209
	NOP
	NOP
;MirrorClock.c,926 :: 		Fill_Dot_PosR(green, 17, 45);
	MOVLW       255
	MOVWF       FARG_Fill_Dot_PosR_g+0 
	CLRF        FARG_Fill_Dot_PosR_r+0 
	CLRF        FARG_Fill_Dot_PosR_b+0 
	MOVLW       17
	MOVWF       FARG_Fill_Dot_PosR_start+0 
	MOVLW       45
	MOVWF       FARG_Fill_Dot_PosR_end+0 
	CALL        _Fill_Dot_PosR+0, 0
;MirrorClock.c,927 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_Run_Patterns210:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns210
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns210
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns210
	NOP
	NOP
;MirrorClock.c,928 :: 		Fill_Dot_PosR(blue, 25, 35);
	CLRF        FARG_Fill_Dot_PosR_g+0 
	CLRF        FARG_Fill_Dot_PosR_r+0 
	MOVLW       255
	MOVWF       FARG_Fill_Dot_PosR_b+0 
	MOVLW       25
	MOVWF       FARG_Fill_Dot_PosR_start+0 
	MOVLW       35
	MOVWF       FARG_Fill_Dot_PosR_end+0 
	CALL        _Fill_Dot_PosR+0, 0
;MirrorClock.c,930 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns211:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns211
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns211
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns211
	NOP
;MirrorClock.c,931 :: 		Solid_Strip(yellow);
	MOVLW       255
	MOVWF       FARG_Solid_Strip_g+0 
	MOVLW       255
	MOVWF       FARG_Solid_Strip_r+0 
	CLRF        FARG_Solid_Strip_b+0 
	CALL        _Solid_Strip+0, 0
;MirrorClock.c,932 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns212:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns212
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns212
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns212
	NOP
;MirrorClock.c,933 :: 		Solid_Strip(gold);
	MOVLW       160
	MOVWF       FARG_Solid_Strip_g+0 
	MOVLW       255
	MOVWF       FARG_Solid_Strip_r+0 
	CLRF        FARG_Solid_Strip_b+0 
	CALL        _Solid_Strip+0, 0
;MirrorClock.c,934 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns213:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns213
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns213
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns213
	NOP
;MirrorClock.c,935 :: 		Solid_Strip(pink);
	MOVLW       30
	MOVWF       FARG_Solid_Strip_g+0 
	MOVLW       255
	MOVWF       FARG_Solid_Strip_r+0 
	MOVLW       12
	MOVWF       FARG_Solid_Strip_b+0 
	CALL        _Solid_Strip+0, 0
;MirrorClock.c,936 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns214:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns214
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns214
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns214
	NOP
;MirrorClock.c,937 :: 		Solid_Strip(lime);
	MOVLW       254
	MOVWF       FARG_Solid_Strip_g+0 
	MOVLW       64
	MOVWF       FARG_Solid_Strip_r+0 
	MOVLW       20
	MOVWF       FARG_Solid_Strip_b+0 
	CALL        _Solid_Strip+0, 0
;MirrorClock.c,938 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns215:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns215
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns215
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns215
	NOP
;MirrorClock.c,939 :: 		Solid_Strip(red);
	CLRF        FARG_Solid_Strip_g+0 
	MOVLW       255
	MOVWF       FARG_Solid_Strip_r+0 
	CLRF        FARG_Solid_Strip_b+0 
	CALL        _Solid_Strip+0, 0
;MirrorClock.c,940 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns216:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns216
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns216
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns216
	NOP
;MirrorClock.c,942 :: 		MovLeft_Chase_and_Clear(NumberOfLeds);
	MOVLW       60
	MOVWF       FARG_MovLeft_Chase_and_Clear_position+0 
	CALL        _MovLeft_Chase_and_Clear+0, 0
;MirrorClock.c,943 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns217:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns217
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns217
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns217
	NOP
;MirrorClock.c,944 :: 		MovRight_Chase_and_Clear(NumberOfLeds);
	MOVLW       60
	MOVWF       FARG_MovRight_Chase_and_Clear_position+0 
	CALL        _MovRight_Chase_and_Clear+0, 0
;MirrorClock.c,945 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns218:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns218
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns218
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns218
	NOP
;MirrorClock.c,947 :: 		Solid_Strip(turq);
	MOVLW       245
	MOVWF       FARG_Solid_Strip_g+0 
	MOVLW       40
	MOVWF       FARG_Solid_Strip_r+0 
	MOVLW       100
	MOVWF       FARG_Solid_Strip_b+0 
	CALL        _Solid_Strip+0, 0
;MirrorClock.c,948 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns219:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns219
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns219
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns219
	NOP
;MirrorClock.c,949 :: 		ChaseRandom(1000);
	MOVLW       232
	MOVWF       FARG_ChaseRandom_loops+0 
	MOVLW       3
	MOVWF       FARG_ChaseRandom_loops+1 
	CALL        _ChaseRandom+0, 0
;MirrorClock.c,950 :: 		RandomColor(1000);
	MOVLW       232
	MOVWF       FARG_RandomColor_loops+0 
	MOVLW       3
	MOVWF       FARG_RandomColor_loops+1 
	CALL        _RandomColor+0, 0
;MirrorClock.c,952 :: 		rainbowCycleRight(2);
	MOVLW       2
	MOVWF       FARG_rainbowCycleRight_cycles+0 
	CALL        _rainbowCycleRight+0, 0
;MirrorClock.c,953 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns220:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns220
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns220
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns220
	NOP
;MirrorClock.c,954 :: 		rainbowCycleLeft(2);
	MOVLW       2
	MOVWF       FARG_rainbowCycleLeft_cycles+0 
	CALL        _rainbowCycleLeft+0, 0
;MirrorClock.c,955 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns221:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns221
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns221
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns221
	NOP
;MirrorClock.c,957 :: 		FillLeft(red);
	CLRF        FARG_FillLeft_g+0 
	MOVLW       255
	MOVWF       FARG_FillLeft_r+0 
	CLRF        FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,958 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns222:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns222
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns222
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns222
	NOP
	NOP
;MirrorClock.c,959 :: 		FillRight(black);
	CLRF        FARG_FillRight_g+0 
	CLRF        FARG_FillRight_r+0 
	CLRF        FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,960 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns223:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns223
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns223
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns223
	NOP
	NOP
;MirrorClock.c,961 :: 		FillRight(purple);
	CLRF        FARG_FillRight_g+0 
	MOVLW       75
	MOVWF       FARG_FillRight_r+0 
	MOVLW       130
	MOVWF       FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,962 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns224:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns224
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns224
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns224
	NOP
	NOP
;MirrorClock.c,963 :: 		FillRight(black);
	CLRF        FARG_FillRight_g+0 
	CLRF        FARG_FillRight_r+0 
	CLRF        FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,964 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns225:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns225
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns225
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns225
	NOP
	NOP
;MirrorClock.c,965 :: 		FillLeft(crimson);
	MOVLW       3
	MOVWF       FARG_FillLeft_g+0 
	MOVLW       220
	MOVWF       FARG_FillLeft_r+0 
	MOVLW       3
	MOVWF       FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,966 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns226:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns226
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns226
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns226
	NOP
	NOP
;MirrorClock.c,967 :: 		FillLeft(black);
	CLRF        FARG_FillLeft_g+0 
	CLRF        FARG_FillLeft_r+0 
	CLRF        FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,968 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns227:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns227
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns227
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns227
	NOP
	NOP
;MirrorClock.c,969 :: 		FillRight(orange);
	MOVLW       20
	MOVWF       FARG_FillRight_g+0 
	MOVLW       255
	MOVWF       FARG_FillRight_r+0 
	CLRF        FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,970 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns228:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns228
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns228
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns228
	NOP
	NOP
;MirrorClock.c,971 :: 		FillRight(black);
	CLRF        FARG_FillRight_g+0 
	CLRF        FARG_FillRight_r+0 
	CLRF        FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,972 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns229:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns229
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns229
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns229
	NOP
	NOP
;MirrorClock.c,973 :: 		FillLeft(lime);
	MOVLW       254
	MOVWF       FARG_FillLeft_g+0 
	MOVLW       64
	MOVWF       FARG_FillLeft_r+0 
	MOVLW       20
	MOVWF       FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,974 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns230:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns230
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns230
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns230
	NOP
	NOP
;MirrorClock.c,975 :: 		FillLeft(black);
	CLRF        FARG_FillLeft_g+0 
	CLRF        FARG_FillLeft_r+0 
	CLRF        FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,976 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns231:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns231
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns231
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns231
	NOP
	NOP
;MirrorClock.c,977 :: 		FillRight(magenta);
	CLRF        FARG_FillRight_g+0 
	MOVLW       255
	MOVWF       FARG_FillRight_r+0 
	MOVLW       255
	MOVWF       FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,978 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns232:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns232
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns232
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns232
	NOP
	NOP
;MirrorClock.c,979 :: 		FillLeft(black);
	CLRF        FARG_FillLeft_g+0 
	CLRF        FARG_FillLeft_r+0 
	CLRF        FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,980 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns233:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns233
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns233
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns233
	NOP
	NOP
;MirrorClock.c,981 :: 		FillLeft(cyan);
	MOVLW       255
	MOVWF       FARG_FillLeft_g+0 
	CLRF        FARG_FillLeft_r+0 
	MOVLW       255
	MOVWF       FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,982 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns234:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns234
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns234
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns234
	NOP
	NOP
;MirrorClock.c,983 :: 		FillRight(black);
	CLRF        FARG_FillRight_g+0 
	CLRF        FARG_FillRight_r+0 
	CLRF        FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,984 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns235:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns235
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns235
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns235
	NOP
	NOP
;MirrorClock.c,985 :: 		FillRight(olive);
	MOVLW       220
	MOVWF       FARG_FillRight_g+0 
	MOVLW       100
	MOVWF       FARG_FillRight_r+0 
	MOVLW       47
	MOVWF       FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,986 :: 		FillRight(black);
	CLRF        FARG_FillRight_g+0 
	CLRF        FARG_FillRight_r+0 
	CLRF        FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,987 :: 		delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_Run_Patterns236:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns236
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns236
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns236
	NOP
	NOP
;MirrorClock.c,989 :: 		Chase_3Color_Right(cyan, orange, lime, 59);
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_g1+0 
	CLRF        FARG_Chase_3Color_Right_r1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_b1+0 
	MOVLW       20
	MOVWF       FARG_Chase_3Color_Right_g2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_r2+0 
	CLRF        FARG_Chase_3Color_Right_b2+0 
	MOVLW       254
	MOVWF       FARG_Chase_3Color_Right_g3+0 
	MOVLW       64
	MOVWF       FARG_Chase_3Color_Right_r3+0 
	MOVLW       20
	MOVWF       FARG_Chase_3Color_Right_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Right_repeat+0 
	CALL        _Chase_3Color_Right+0, 0
;MirrorClock.c,990 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns237:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns237
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns237
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns237
	NOP
;MirrorClock.c,991 :: 		Fade_Strip(black, orange, 0);
	CLRF        FARG_Fade_Strip_greennext+0 
	CLRF        FARG_Fade_Strip_rednext+0 
	CLRF        FARG_Fade_Strip_bluenext+0 
	MOVLW       20
	MOVWF       FARG_Fade_Strip_greenlast+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_redlast+0 
	CLRF        FARG_Fade_Strip_bluelast+0 
	CLRF        FARG_Fade_Strip_pos+0 
	CALL        _Fade_Strip+0, 0
;MirrorClock.c,992 :: 		Fade_Strip(orange, blue, 0);
	MOVLW       20
	MOVWF       FARG_Fade_Strip_greennext+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_rednext+0 
	CLRF        FARG_Fade_Strip_bluenext+0 
	CLRF        FARG_Fade_Strip_greenlast+0 
	CLRF        FARG_Fade_Strip_redlast+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_bluelast+0 
	CLRF        FARG_Fade_Strip_pos+0 
	CALL        _Fade_Strip+0, 0
;MirrorClock.c,993 :: 		Fade_Strip(blue, red, 0);
	CLRF        FARG_Fade_Strip_greennext+0 
	CLRF        FARG_Fade_Strip_rednext+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_bluenext+0 
	CLRF        FARG_Fade_Strip_greenlast+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_redlast+0 
	CLRF        FARG_Fade_Strip_bluelast+0 
	CLRF        FARG_Fade_Strip_pos+0 
	CALL        _Fade_Strip+0, 0
;MirrorClock.c,994 :: 		Fade_Strip(red, green, 0);
	CLRF        FARG_Fade_Strip_greennext+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_rednext+0 
	CLRF        FARG_Fade_Strip_bluenext+0 
	MOVLW       255
	MOVWF       FARG_Fade_Strip_greenlast+0 
	CLRF        FARG_Fade_Strip_redlast+0 
	CLRF        FARG_Fade_Strip_bluelast+0 
	CLRF        FARG_Fade_Strip_pos+0 
	CALL        _Fade_Strip+0, 0
;MirrorClock.c,995 :: 		Fade_Strip(green, purple, 0);
	MOVLW       255
	MOVWF       FARG_Fade_Strip_greennext+0 
	CLRF        FARG_Fade_Strip_rednext+0 
	CLRF        FARG_Fade_Strip_bluenext+0 
	CLRF        FARG_Fade_Strip_greenlast+0 
	MOVLW       75
	MOVWF       FARG_Fade_Strip_redlast+0 
	MOVLW       130
	MOVWF       FARG_Fade_Strip_bluelast+0 
	CLRF        FARG_Fade_Strip_pos+0 
	CALL        _Fade_Strip+0, 0
;MirrorClock.c,996 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns238:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns238
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns238
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns238
	NOP
;MirrorClock.c,998 :: 		Chase_3Color_Right(green, red, blue, 59);
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_g1+0 
	CLRF        FARG_Chase_3Color_Right_r1+0 
	CLRF        FARG_Chase_3Color_Right_b1+0 
	CLRF        FARG_Chase_3Color_Right_g2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_r2+0 
	CLRF        FARG_Chase_3Color_Right_b2+0 
	CLRF        FARG_Chase_3Color_Right_g3+0 
	CLRF        FARG_Chase_3Color_Right_r3+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Right_repeat+0 
	CALL        _Chase_3Color_Right+0, 0
;MirrorClock.c,999 :: 		Chase_3Color_Left(yellow, cyan, red, 59);
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_g1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r1+0 
	CLRF        FARG_Chase_3Color_Left_b1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_g2+0 
	CLRF        FARG_Chase_3Color_Left_r2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_b2+0 
	CLRF        FARG_Chase_3Color_Left_g3+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r3+0 
	CLRF        FARG_Chase_3Color_Left_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Left_repeat+0 
	CALL        _Chase_3Color_Left+0, 0
;MirrorClock.c,1000 :: 		Chase_3Color_Right(crimson, skyblue, green, 59);
	MOVLW       3
	MOVWF       FARG_Chase_3Color_Right_g1+0 
	MOVLW       220
	MOVWF       FARG_Chase_3Color_Right_r1+0 
	MOVLW       3
	MOVWF       FARG_Chase_3Color_Right_b1+0 
	MOVLW       206
	MOVWF       FARG_Chase_3Color_Right_g2+0 
	MOVLW       135
	MOVWF       FARG_Chase_3Color_Right_r2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_b2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_g3+0 
	CLRF        FARG_Chase_3Color_Right_r3+0 
	CLRF        FARG_Chase_3Color_Right_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Right_repeat+0 
	CALL        _Chase_3Color_Right+0, 0
;MirrorClock.c,1001 :: 		Chase_3Color_Left(blue, purple, yellow, 59);
	CLRF        FARG_Chase_3Color_Left_g1+0 
	CLRF        FARG_Chase_3Color_Left_r1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_b1+0 
	CLRF        FARG_Chase_3Color_Left_g2+0 
	MOVLW       75
	MOVWF       FARG_Chase_3Color_Left_r2+0 
	MOVLW       130
	MOVWF       FARG_Chase_3Color_Left_b2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_g3+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r3+0 
	CLRF        FARG_Chase_3Color_Left_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Left_repeat+0 
	CALL        _Chase_3Color_Left+0, 0
;MirrorClock.c,1002 :: 		Chase_3Color_Right(magenta, olive, lime, 59);
	CLRF        FARG_Chase_3Color_Right_g1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_r1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_b1+0 
	MOVLW       220
	MOVWF       FARG_Chase_3Color_Right_g2+0 
	MOVLW       100
	MOVWF       FARG_Chase_3Color_Right_r2+0 
	MOVLW       47
	MOVWF       FARG_Chase_3Color_Right_b2+0 
	MOVLW       254
	MOVWF       FARG_Chase_3Color_Right_g3+0 
	MOVLW       64
	MOVWF       FARG_Chase_3Color_Right_r3+0 
	MOVLW       20
	MOVWF       FARG_Chase_3Color_Right_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Right_repeat+0 
	CALL        _Chase_3Color_Right+0, 0
;MirrorClock.c,1003 :: 		Chase_3Color_Left(gold, pink, gold, 59);
	MOVLW       160
	MOVWF       FARG_Chase_3Color_Left_g1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r1+0 
	CLRF        FARG_Chase_3Color_Left_b1+0 
	MOVLW       30
	MOVWF       FARG_Chase_3Color_Left_g2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r2+0 
	MOVLW       12
	MOVWF       FARG_Chase_3Color_Left_b2+0 
	MOVLW       160
	MOVWF       FARG_Chase_3Color_Left_g3+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r3+0 
	CLRF        FARG_Chase_3Color_Left_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Left_repeat+0 
	CALL        _Chase_3Color_Left+0, 0
;MirrorClock.c,1004 :: 		Chase_3Color_Right(purple, turq, red, 59);
	CLRF        FARG_Chase_3Color_Right_g1+0 
	MOVLW       75
	MOVWF       FARG_Chase_3Color_Right_r1+0 
	MOVLW       130
	MOVWF       FARG_Chase_3Color_Right_b1+0 
	MOVLW       245
	MOVWF       FARG_Chase_3Color_Right_g2+0 
	MOVLW       40
	MOVWF       FARG_Chase_3Color_Right_r2+0 
	MOVLW       100
	MOVWF       FARG_Chase_3Color_Right_b2+0 
	CLRF        FARG_Chase_3Color_Right_g3+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_r3+0 
	CLRF        FARG_Chase_3Color_Right_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Right_repeat+0 
	CALL        _Chase_3Color_Right+0, 0
;MirrorClock.c,1005 :: 		Chase_3Color_Left(lime, blue, grey, 59);
	MOVLW       254
	MOVWF       FARG_Chase_3Color_Left_g1+0 
	MOVLW       64
	MOVWF       FARG_Chase_3Color_Left_r1+0 
	MOVLW       20
	MOVWF       FARG_Chase_3Color_Left_b1+0 
	CLRF        FARG_Chase_3Color_Left_g2+0 
	CLRF        FARG_Chase_3Color_Left_r2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_b2+0 
	MOVLW       40
	MOVWF       FARG_Chase_3Color_Left_g3+0 
	MOVLW       40
	MOVWF       FARG_Chase_3Color_Left_r3+0 
	MOVLW       40
	MOVWF       FARG_Chase_3Color_Left_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Left_repeat+0 
	CALL        _Chase_3Color_Left+0, 0
;MirrorClock.c,1006 :: 		Chase_3Color_Right(yellow, white, crimson, 59);
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_g1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_r1+0 
	CLRF        FARG_Chase_3Color_Right_b1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_g2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_r2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Right_b2+0 
	MOVLW       3
	MOVWF       FARG_Chase_3Color_Right_g3+0 
	MOVLW       220
	MOVWF       FARG_Chase_3Color_Right_r3+0 
	MOVLW       3
	MOVWF       FARG_Chase_3Color_Right_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Right_repeat+0 
	CALL        _Chase_3Color_Right+0, 0
;MirrorClock.c,1007 :: 		Chase_3Color_Left(skyblue, pink, cyan, 59);
	MOVLW       206
	MOVWF       FARG_Chase_3Color_Left_g1+0 
	MOVLW       135
	MOVWF       FARG_Chase_3Color_Left_r1+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_b1+0 
	MOVLW       30
	MOVWF       FARG_Chase_3Color_Left_g2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_r2+0 
	MOVLW       12
	MOVWF       FARG_Chase_3Color_Left_b2+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_g3+0 
	CLRF        FARG_Chase_3Color_Left_r3+0 
	MOVLW       255
	MOVWF       FARG_Chase_3Color_Left_b3+0 
	MOVLW       59
	MOVWF       FARG_Chase_3Color_Left_repeat+0 
	CALL        _Chase_3Color_Left+0, 0
;MirrorClock.c,1009 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns239:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns239
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns239
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns239
	NOP
;MirrorClock.c,1010 :: 		Fill_Any_PosR(red, blue, green, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	CLRF        FARG_Fill_Any_PosR_b1+0 
	CLRF        FARG_Fill_Any_PosR_g2+0 
	CLRF        FARG_Fill_Any_PosR_r2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_g3+0 
	CLRF        FARG_Fill_Any_PosR_r3+0 
	CLRF        FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1011 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns240:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns240
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns240
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns240
	NOP
;MirrorClock.c,1012 :: 		MovLeft_Chase_and_Clear(NumberOfLeds);
	MOVLW       60
	MOVWF       FARG_MovLeft_Chase_and_Clear_position+0 
	CALL        _MovLeft_Chase_and_Clear+0, 0
;MirrorClock.c,1013 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns241:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns241
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns241
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns241
	NOP
;MirrorClock.c,1014 :: 		Fill_Any_PosR(red, green, yellow, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	CLRF        FARG_Fill_Any_PosR_b1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_g2+0 
	CLRF        FARG_Fill_Any_PosR_r2+0 
	CLRF        FARG_Fill_Any_PosR_b2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_g3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r3+0 
	CLRF        FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1015 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns242:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns242
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns242
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns242
	NOP
;MirrorClock.c,1016 :: 		MovRight_Chase_and_Clear(NumberOfLeds);
	MOVLW       60
	MOVWF       FARG_MovRight_Chase_and_Clear_position+0 
	CALL        _MovRight_Chase_and_Clear+0, 0
;MirrorClock.c,1017 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns243:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns243
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns243
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns243
	NOP
;MirrorClock.c,1018 :: 		FillLeft(purple);
	CLRF        FARG_FillLeft_g+0 
	MOVLW       75
	MOVWF       FARG_FillLeft_r+0 
	MOVLW       130
	MOVWF       FARG_FillLeft_b+0 
	CALL        _FillLeft+0, 0
;MirrorClock.c,1019 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns244:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns244
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns244
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns244
	NOP
;MirrorClock.c,1020 :: 		Fill_Any_PosR(magenta, black, black, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b1+0 
	CLRF        FARG_Fill_Any_PosR_g2+0 
	CLRF        FARG_Fill_Any_PosR_r2+0 
	CLRF        FARG_Fill_Any_PosR_b2+0 
	CLRF        FARG_Fill_Any_PosR_g3+0 
	CLRF        FARG_Fill_Any_PosR_r3+0 
	CLRF        FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1021 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns245:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns245
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns245
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns245
	NOP
;MirrorClock.c,1022 :: 		MovRight_Chase_and_Clear(NumberOfLeds);
	MOVLW       60
	MOVWF       FARG_MovRight_Chase_and_Clear_position+0 
	CALL        _MovRight_Chase_and_Clear+0, 0
;MirrorClock.c,1023 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns246:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns246
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns246
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns246
	NOP
;MirrorClock.c,1024 :: 		Fill_Any_PosR(gold, gold, gold, 0, NumberOfLeds);
	MOVLW       160
	MOVWF       FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	CLRF        FARG_Fill_Any_PosR_b1+0 
	MOVLW       160
	MOVWF       FARG_Fill_Any_PosR_g2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r2+0 
	CLRF        FARG_Fill_Any_PosR_b2+0 
	MOVLW       160
	MOVWF       FARG_Fill_Any_PosR_g3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r3+0 
	CLRF        FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1025 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns247:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns247
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns247
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns247
	NOP
;MirrorClock.c,1026 :: 		MovLeft_Chase_and_Clear(NumberOfLeds);
	MOVLW       60
	MOVWF       FARG_MovLeft_Chase_and_Clear_position+0 
	CALL        _MovLeft_Chase_and_Clear+0, 0
;MirrorClock.c,1027 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns248:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns248
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns248
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns248
	NOP
;MirrorClock.c,1028 :: 		FillRight(skyblue);
	MOVLW       206
	MOVWF       FARG_FillRight_g+0 
	MOVLW       135
	MOVWF       FARG_FillRight_r+0 
	MOVLW       255
	MOVWF       FARG_FillRight_b+0 
	CALL        _FillRight+0, 0
;MirrorClock.c,1029 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns249:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns249
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns249
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns249
	NOP
;MirrorClock.c,1031 :: 		CometRight(red);
	CLRF        FARG_CometRight_g+0 
	MOVLW       255
	MOVWF       FARG_CometRight_r+0 
	CLRF        FARG_CometRight_b+0 
	CALL        _CometRight+0, 0
;MirrorClock.c,1032 :: 		CometLeft(green);
	MOVLW       255
	MOVWF       FARG_CometLeft_g+0 
	CLRF        FARG_CometLeft_r+0 
	CLRF        FARG_CometLeft_b+0 
	CALL        _CometLeft+0, 0
;MirrorClock.c,1033 :: 		CometRight(blue);
	CLRF        FARG_CometRight_g+0 
	CLRF        FARG_CometRight_r+0 
	MOVLW       255
	MOVWF       FARG_CometRight_b+0 
	CALL        _CometRight+0, 0
;MirrorClock.c,1034 :: 		CometLeft(yellow);
	MOVLW       255
	MOVWF       FARG_CometLeft_g+0 
	MOVLW       255
	MOVWF       FARG_CometLeft_r+0 
	CLRF        FARG_CometLeft_b+0 
	CALL        _CometLeft+0, 0
;MirrorClock.c,1036 :: 		rainbowCycleRight(2);
	MOVLW       2
	MOVWF       FARG_rainbowCycleRight_cycles+0 
	CALL        _rainbowCycleRight+0, 0
;MirrorClock.c,1037 :: 		rainbowCycleLeft(2);
	MOVLW       2
	MOVWF       FARG_rainbowCycleLeft_cycles+0 
	CALL        _rainbowCycleLeft+0, 0
;MirrorClock.c,1039 :: 		RandomColor(1000);
	MOVLW       232
	MOVWF       FARG_RandomColor_loops+0 
	MOVLW       3
	MOVWF       FARG_RandomColor_loops+1 
	CALL        _RandomColor+0, 0
;MirrorClock.c,1041 :: 		Fill_Any_PosL(blue, yellow, yellow, NumberOfLeds - 1, 0);
	CLRF        FARG_Fill_Any_PosL_g1+0 
	CLRF        FARG_Fill_Any_PosL_r1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_b1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_g2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r2+0 
	CLRF        FARG_Fill_Any_PosL_b2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_g3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r3+0 
	CLRF        FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1042 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns250:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns250
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns250
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns250
	NOP
;MirrorClock.c,1044 :: 		Fill_Any_PosR(magenta, black, black, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b1+0 
	CLRF        FARG_Fill_Any_PosR_g2+0 
	CLRF        FARG_Fill_Any_PosR_r2+0 
	CLRF        FARG_Fill_Any_PosR_b2+0 
	CLRF        FARG_Fill_Any_PosR_g3+0 
	CLRF        FARG_Fill_Any_PosR_r3+0 
	CLRF        FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1045 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns251:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns251
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns251
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns251
	NOP
;MirrorClock.c,1047 :: 		Fill_Any_PosL(lime, orange, pink, NumberOfLeds - 1, 0);
	MOVLW       254
	MOVWF       FARG_Fill_Any_PosL_g1+0 
	MOVLW       64
	MOVWF       FARG_Fill_Any_PosL_r1+0 
	MOVLW       20
	MOVWF       FARG_Fill_Any_PosL_b1+0 
	MOVLW       20
	MOVWF       FARG_Fill_Any_PosL_g2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r2+0 
	CLRF        FARG_Fill_Any_PosL_b2+0 
	MOVLW       30
	MOVWF       FARG_Fill_Any_PosL_g3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r3+0 
	MOVLW       12
	MOVWF       FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1048 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns252:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns252
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns252
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns252
	NOP
;MirrorClock.c,1050 :: 		Fill_Any_PosR(magenta, grey, purple, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b1+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosR_g2+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosR_r2+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosR_b2+0 
	CLRF        FARG_Fill_Any_PosR_g3+0 
	MOVLW       75
	MOVWF       FARG_Fill_Any_PosR_r3+0 
	MOVLW       130
	MOVWF       FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1051 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns253:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns253
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns253
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns253
	NOP
;MirrorClock.c,1053 :: 		Fill_Any_PosL(magenta, blue, yellow, NumberOfLeds - 1, 0);
	CLRF        FARG_Fill_Any_PosL_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_b1+0 
	CLRF        FARG_Fill_Any_PosL_g2+0 
	CLRF        FARG_Fill_Any_PosL_r2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_b2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_g3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r3+0 
	CLRF        FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1054 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns254:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns254
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns254
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns254
	NOP
;MirrorClock.c,1056 :: 		Fill_Any_PosR(pink, olive, crimson, 0, NumberOfLeds);
	MOVLW       30
	MOVWF       FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	MOVLW       12
	MOVWF       FARG_Fill_Any_PosR_b1+0 
	MOVLW       220
	MOVWF       FARG_Fill_Any_PosR_g2+0 
	MOVLW       100
	MOVWF       FARG_Fill_Any_PosR_r2+0 
	MOVLW       47
	MOVWF       FARG_Fill_Any_PosR_b2+0 
	MOVLW       3
	MOVWF       FARG_Fill_Any_PosR_g3+0 
	MOVLW       220
	MOVWF       FARG_Fill_Any_PosR_r3+0 
	MOVLW       3
	MOVWF       FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1057 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns255:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns255
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns255
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns255
	NOP
;MirrorClock.c,1059 :: 		Fill_Any_PosL(grey, purple, grey, NumberOfLeds - 1, 0);
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosL_g1+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosL_r1+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosL_b1+0 
	CLRF        FARG_Fill_Any_PosL_g2+0 
	MOVLW       75
	MOVWF       FARG_Fill_Any_PosL_r2+0 
	MOVLW       130
	MOVWF       FARG_Fill_Any_PosL_b2+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosL_g3+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosL_r3+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1060 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns256:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns256
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns256
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns256
	NOP
;MirrorClock.c,1062 :: 		Fill_Any_PosR(blue, orange, lime, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	CLRF        FARG_Fill_Any_PosR_r1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b1+0 
	MOVLW       20
	MOVWF       FARG_Fill_Any_PosR_g2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r2+0 
	CLRF        FARG_Fill_Any_PosR_b2+0 
	MOVLW       254
	MOVWF       FARG_Fill_Any_PosR_g3+0 
	MOVLW       64
	MOVWF       FARG_Fill_Any_PosR_r3+0 
	MOVLW       20
	MOVWF       FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1063 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns257:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns257
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns257
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns257
	NOP
;MirrorClock.c,1065 :: 		Fill_Any_PosL(gold, cyan, crimson, NumberOfLeds - 1, 0);
	MOVLW       160
	MOVWF       FARG_Fill_Any_PosL_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r1+0 
	CLRF        FARG_Fill_Any_PosL_b1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_g2+0 
	CLRF        FARG_Fill_Any_PosL_r2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_b2+0 
	MOVLW       3
	MOVWF       FARG_Fill_Any_PosL_g3+0 
	MOVLW       220
	MOVWF       FARG_Fill_Any_PosL_r3+0 
	MOVLW       3
	MOVWF       FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1066 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns258:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns258
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns258
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns258
	NOP
;MirrorClock.c,1068 :: 		Fill_Any_PosR(gold, turq, skyblue, 0, NumberOfLeds);
	MOVLW       160
	MOVWF       FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	CLRF        FARG_Fill_Any_PosR_b1+0 
	MOVLW       245
	MOVWF       FARG_Fill_Any_PosR_g2+0 
	MOVLW       40
	MOVWF       FARG_Fill_Any_PosR_r2+0 
	MOVLW       100
	MOVWF       FARG_Fill_Any_PosR_b2+0 
	MOVLW       206
	MOVWF       FARG_Fill_Any_PosR_g3+0 
	MOVLW       135
	MOVWF       FARG_Fill_Any_PosR_r3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1069 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns259:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns259
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns259
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns259
	NOP
;MirrorClock.c,1071 :: 		Fill_Any_PosL(red, green, red, NumberOfLeds - 1, 0);
	CLRF        FARG_Fill_Any_PosL_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r1+0 
	CLRF        FARG_Fill_Any_PosL_b1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_g2+0 
	CLRF        FARG_Fill_Any_PosL_r2+0 
	CLRF        FARG_Fill_Any_PosL_b2+0 
	CLRF        FARG_Fill_Any_PosL_g3+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r3+0 
	CLRF        FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1072 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Patterns260:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns260
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns260
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns260
	NOP
;MirrorClock.c,1074 :: 		Fill_Any_PosR(red, blue, black, 0, NumberOfLeds);
	CLRF        FARG_Fill_Any_PosR_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_r1+0 
	CLRF        FARG_Fill_Any_PosR_b1+0 
	CLRF        FARG_Fill_Any_PosR_g2+0 
	CLRF        FARG_Fill_Any_PosR_r2+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosR_b2+0 
	CLRF        FARG_Fill_Any_PosR_g3+0 
	CLRF        FARG_Fill_Any_PosR_r3+0 
	CLRF        FARG_Fill_Any_PosR_b3+0 
	CLRF        FARG_Fill_Any_PosR_start+0 
	MOVLW       60
	MOVWF       FARG_Fill_Any_PosR_end+0 
	CALL        _Fill_Any_PosR+0, 0
;MirrorClock.c,1075 :: 		delay_ms(1000);
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L_Run_Patterns261:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns261
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns261
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns261
	NOP
;MirrorClock.c,1077 :: 		Fill_Any_PosL(red, black, black, NumberOfLeds - 1, 0);
	CLRF        FARG_Fill_Any_PosL_g1+0 
	MOVLW       255
	MOVWF       FARG_Fill_Any_PosL_r1+0 
	CLRF        FARG_Fill_Any_PosL_b1+0 
	CLRF        FARG_Fill_Any_PosL_g2+0 
	CLRF        FARG_Fill_Any_PosL_r2+0 
	CLRF        FARG_Fill_Any_PosL_b2+0 
	CLRF        FARG_Fill_Any_PosL_g3+0 
	CLRF        FARG_Fill_Any_PosL_r3+0 
	CLRF        FARG_Fill_Any_PosL_b3+0 
	MOVLW       59
	MOVWF       FARG_Fill_Any_PosL_start+0 
	CLRF        FARG_Fill_Any_PosL_end+0 
	CALL        _Fill_Any_PosL+0, 0
;MirrorClock.c,1078 :: 		delay_ms(1000);
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L_Run_Patterns262:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns262
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns262
	DECFSZ      R11, 1, 1
	BRA         L_Run_Patterns262
	NOP
;MirrorClock.c,1080 :: 		Clear_Strip();                               //finished
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,1082 :: 		minute = BCD2dec(read_ds1307(1));            //read minutes
	MOVLW       1
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
;MirrorClock.c,1083 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns263:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns263
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns263
	NOP
	NOP
;MirrorClock.c,1084 :: 		hour = BCD2dec(read_ds1307(2));              //read hours
	MOVLW       2
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
;MirrorClock.c,1085 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns264:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns264
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns264
	NOP
	NOP
;MirrorClock.c,1086 :: 		temp = read_ds1307(0);                       //seconds
	CLRF        FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
;MirrorClock.c,1087 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns265:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns265
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns265
	NOP
	NOP
;MirrorClock.c,1088 :: 		temp &= 0x7F;                                //add bit 7 to start osc
	MOVLW       127
	ANDWF       _temp+0, 1 
;MirrorClock.c,1090 :: 		write_ds1307(0,0x80);                        //Reset second to 0 sec. and stop Oscillator
	CLRF        FARG_write_ds1307_address+0 
	MOVLW       128
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,1091 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns266:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns266
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns266
	NOP
	NOP
;MirrorClock.c,1092 :: 		write_ds1307(1,(Dec2Bcd(Minute)));           //write min
	MOVF        _minute+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       1
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,1093 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns267:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns267
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns267
	NOP
	NOP
;MirrorClock.c,1094 :: 		write_ds1307(2,(Dec2Bcd(Hour)));             //write hour
	MOVF        _hour+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	MOVLW       2
	MOVWF       FARG_write_ds1307_address+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,1095 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns268:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns268
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns268
	NOP
	NOP
;MirrorClock.c,1096 :: 		write_ds1307(0, temp);                       //write seconds and start clock
	CLRF        FARG_write_ds1307_address+0 
	MOVF        _temp+0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,1097 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_Run_Patterns269:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Patterns269
	DECFSZ      R12, 1, 1
	BRA         L_Run_Patterns269
	NOP
	NOP
;MirrorClock.c,1098 :: 		}
L_end_Run_Patterns:
	RETURN      0
; end of _Run_Patterns

_Run_Clock:

;MirrorClock.c,1102 :: 		void Run_Clock()
;MirrorClock.c,1106 :: 		Get_Time();                                        //get the current time and date
	CALL        _Get_Time+0, 0
;MirrorClock.c,1108 :: 		Adjust_Time_Date();                                //for setting the time and date only if SET switch pressed
	CALL        _Adjust_Time_Date+0, 0
;MirrorClock.c,1110 :: 		send_to_max7219(0x01, BCD2UpperCh(date));          // display the date on 7 seg display
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       1
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1111 :: 		send_to_max7219(0x02, BCD2LowerCh(date));
	MOVF        _date+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1112 :: 		send_to_max7219(0x03, BCD2UpperCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       3
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1113 :: 		send_to_max7219(0x04, BCD2LowerCh(month));
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       4
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1114 :: 		send_to_max7219(0x05, 2);
	MOVLW       5
	MOVWF       FARG_send_to_max7219_address+0 
	MOVLW       2
	MOVWF       FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1115 :: 		send_to_max7219(0x06, 0);
	MOVLW       6
	MOVWF       FARG_send_to_max7219_address+0 
	CLRF        FARG_send_to_max7219_dat+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1116 :: 		send_to_max7219(0x07, BCD2UpperCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       7
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1117 :: 		send_to_max7219(0x08, BCD2LowerCh(year));
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_send_to_max7219_dat+0 
	MOVLW       8
	MOVWF       FARG_send_to_max7219_address+0 
	CALL        _send_to_max7219+0, 0
;MirrorClock.c,1119 :: 		led_strip[Prev_hour] = 0x000000;                   //clear the clock of old hour, minute and second
	MOVF        _Prev_hour+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;MirrorClock.c,1120 :: 		led_strip[Prev_minute] = 0x000000;
	MOVF        _Prev_minute+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;MirrorClock.c,1121 :: 		led_strip[Prev_second] = 0x000000;
	MOVF        _Prev_second+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _led_strip+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_led_strip+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;MirrorClock.c,1123 :: 		Analog_hour = BCD2dec(hour);                       //convert to something we can use
	MOVF        _hour+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _Analog_hour+0 
;MirrorClock.c,1124 :: 		minute = BCD2dec(minute);
	MOVF        _minute+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
;MirrorClock.c,1125 :: 		second = BCD2dec(second);
	MOVF        _second+0, 0 
	MOVWF       FARG_Bcd2Dec_bcdnum+0 
	CALL        _Bcd2Dec+0, 0
	MOVF        R0, 0 
	MOVWF       _second+0 
;MirrorClock.c,1127 :: 		if(Analog_hour > 11){Analog_hour -= 12;}           //set hour to 12 hour system, 0 - 11 for analog clock
	MOVF        _Analog_hour+0, 0 
	SUBLW       11
	BTFSC       STATUS+0, 0 
	GOTO        L_Run_Clock270
	MOVLW       12
	SUBWF       _Analog_hour+0, 1 
L_Run_Clock270:
;MirrorClock.c,1129 :: 		for(i = 0; i < NumberOfLeds; i ++)                 //place hour markers
	CLRF        Run_Clock_i_L0+0 
L_Run_Clock271:
	MOVLW       60
	SUBWF       Run_Clock_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Run_Clock272
;MirrorClock.c,1131 :: 		if (i % 5 == 0){Set_Color(pale_orange, i);}
	MOVLW       5
	MOVWF       R4 
	MOVF        Run_Clock_i_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock274
	MOVLW       20
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	MOVLW       50
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	CLRF        FARG_Set_Color_b+0 
	MOVF        Run_Clock_i_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Run_Clock274:
;MirrorClock.c,1129 :: 		for(i = 0; i < NumberOfLeds; i ++)                 //place hour markers
	INCF        Run_Clock_i_L0+0, 1 
;MirrorClock.c,1132 :: 		}
	GOTO        L_Run_Clock271
L_Run_Clock272:
;MirrorClock.c,1134 :: 		if(minute == 0 && second == 0){Melody_Out = 1;}   // on the hour, start the melody
	MOVF        _minute+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock277
	MOVF        _second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock277
L__Run_Clock300:
	BSF         RB3_bit+0, BitPos(RB3_bit+0) 
L_Run_Clock277:
;MirrorClock.c,1135 :: 		if(minute == 0 && second == 26){delay_ms(500); Melody_Out = 0;}    // turn off melody chip
	MOVF        _minute+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock280
	MOVF        _second+0, 0 
	XORLW       26
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock280
L__Run_Clock299:
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Run_Clock281:
	DECFSZ      R13, 1, 1
	BRA         L_Run_Clock281
	DECFSZ      R12, 1, 1
	BRA         L_Run_Clock281
	DECFSZ      R11, 1, 1
	BRA         L_Run_Clock281
	NOP
	BCF         RB3_bit+0, BitPos(RB3_bit+0) 
L_Run_Clock280:
;MirrorClock.c,1137 :: 		hour_pos = (Analog_hour * 5) + (minute / 12);           //get to correct LED position, 1 o'clock is at 5 min mark
	MOVLW       5
	MULWF       _Analog_hour+0 
	MOVF        PRODL+0, 0 
	MOVWF       FLOC__Run_Clock+0 
	MOVLW       12
	MOVWF       R4 
	MOVF        _minute+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        FLOC__Run_Clock+0, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       Run_Clock_hour_pos_L0+0 
;MirrorClock.c,1139 :: 		Set_Color(blue, hour_pos);                              //set the pixel for hour
	CLRF        FARG_Set_Color_g+0 
	CLRF        FARG_Set_Color_g+1 
	CLRF        FARG_Set_Color_g+2 
	CLRF        FARG_Set_Color_g+3 
	CLRF        FARG_Set_Color_r+0 
	CLRF        FARG_Set_Color_r+1 
	MOVLW       255
	MOVWF       FARG_Set_Color_b+0 
	MOVF        R0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,1140 :: 		Set_Color(green, minute);                               //place minute position
	MOVLW       255
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	CLRF        FARG_Set_Color_r+0 
	CLRF        FARG_Set_Color_r+1 
	CLRF        FARG_Set_Color_b+0 
	MOVF        _minute+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,1141 :: 		Set_Color(red, second);                                 //place second position
	CLRF        FARG_Set_Color_g+0 
	CLRF        FARG_Set_Color_g+1 
	CLRF        FARG_Set_Color_g+2 
	CLRF        FARG_Set_Color_g+3 
	MOVLW       255
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	CLRF        FARG_Set_Color_b+0 
	MOVF        _second+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
;MirrorClock.c,1143 :: 		if (minute == hour_pos){Set_Color(magenta, hour_pos);}  //check for overlapping hour, minute and seconds, change color accordingly
	MOVF        _minute+0, 0 
	XORWF       Run_Clock_hour_pos_L0+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock282
	CLRF        FARG_Set_Color_g+0 
	CLRF        FARG_Set_Color_g+1 
	CLRF        FARG_Set_Color_g+2 
	CLRF        FARG_Set_Color_g+3 
	MOVLW       255
	MOVWF       FARG_Set_Color_r+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_r+1 
	MOVLW       255
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Run_Clock_hour_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Run_Clock282:
;MirrorClock.c,1144 :: 		if (second == hour_pos){Set_Color(blue, hour_pos);}     //dont show seconds over hour
	MOVF        _second+0, 0 
	XORWF       Run_Clock_hour_pos_L0+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock283
	CLRF        FARG_Set_Color_g+0 
	CLRF        FARG_Set_Color_g+1 
	CLRF        FARG_Set_Color_g+2 
	CLRF        FARG_Set_Color_g+3 
	CLRF        FARG_Set_Color_r+0 
	CLRF        FARG_Set_Color_r+1 
	MOVLW       255
	MOVWF       FARG_Set_Color_b+0 
	MOVF        Run_Clock_hour_pos_L0+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Run_Clock283:
;MirrorClock.c,1145 :: 		if (second == minute){Set_Color(green, minute);}        //dont show seconds over minute
	MOVF        _second+0, 0 
	XORWF       _minute+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Run_Clock284
	MOVLW       255
	MOVWF       FARG_Set_Color_g+0 
	MOVLW       0
	MOVWF       FARG_Set_Color_g+1 
	MOVWF       FARG_Set_Color_g+2 
	MOVWF       FARG_Set_Color_g+3 
	CLRF        FARG_Set_Color_r+0 
	CLRF        FARG_Set_Color_r+1 
	CLRF        FARG_Set_Color_b+0 
	MOVF        _minute+0, 0 
	MOVWF       FARG_Set_Color_position+0 
	CALL        _Set_Color+0, 0
L_Run_Clock284:
;MirrorClock.c,1147 :: 		Prev_hour = hour_pos;                                   //save values for clearing next time
	MOVF        Run_Clock_hour_pos_L0+0, 0 
	MOVWF       _Prev_hour+0 
;MirrorClock.c,1148 :: 		Prev_minute = minute;
	MOVF        _minute+0, 0 
	MOVWF       _Prev_minute+0 
;MirrorClock.c,1149 :: 		Prev_second = second;
	MOVF        _second+0, 0 
	MOVWF       _Prev_second+0 
;MirrorClock.c,1151 :: 		CompileLEDDataStream();                                 //send to leds
	CALL        _CompileLEDDataStream+0, 0
;MirrorClock.c,1152 :: 		}
L_end_Run_Clock:
	RETURN      0
; end of _Run_Clock

_main:

;MirrorClock.c,1155 :: 		void main() {
;MirrorClock.c,1157 :: 		CMCON = 7;                              //turn off comparators
	MOVLW       7
	MOVWF       CMCON+0 
;MirrorClock.c,1158 :: 		ADCON0 = 0b00000000;                    //turn off A/D converters
	CLRF        ADCON0+0 
;MirrorClock.c,1159 :: 		ADCON1 = 0b00001111;                    //all digital
	MOVLW       15
	MOVWF       ADCON1+0 
;MirrorClock.c,1161 :: 		PORTA = 0;
	CLRF        PORTA+0 
;MirrorClock.c,1162 :: 		PORTB = 0;
	CLRF        PORTB+0 
;MirrorClock.c,1163 :: 		PORTC = 0;
	CLRF        PORTC+0 
;MirrorClock.c,1164 :: 		TRISA = 0b00001111;                     //RA0 Set sw, RA1 Next sw, RA2 Inc sw, RA3 clock/pattern switch,
	MOVLW       15
	MOVWF       TRISA+0 
;MirrorClock.c,1165 :: 		TRISB = 0b00000101;                     //RB2 is sleep switch on external INT2, RB0, RB1 for DS1307
	MOVLW       5
	MOVWF       TRISB+0 
;MirrorClock.c,1166 :: 		TRISC = 0b00000000;                     //RC7 is output to strip
	CLRF        TRISC+0 
;MirrorClock.c,1167 :: 		I2C1_Init(100000);                      //DS1307 I2C is running at 100KHz for RTC
	MOVLW       50
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;MirrorClock.c,1168 :: 		delay_ms(150);
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       207
	MOVWF       R12, 0
	MOVLW       1
	MOVWF       R13, 0
L_main285:
	DECFSZ      R13, 1, 1
	BRA         L_main285
	DECFSZ      R12, 1, 1
	BRA         L_main285
	DECFSZ      R11, 1, 1
	BRA         L_main285
	NOP
	NOP
;MirrorClock.c,1170 :: 		delay_ms(150);                          //then reprogram with this commented out
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       207
	MOVWF       R12, 0
	MOVLW       1
	MOVWF       R13, 0
L_main286:
	DECFSZ      R13, 1, 1
	BRA         L_main286
	DECFSZ      R12, 1, 1
	BRA         L_main286
	DECFSZ      R11, 1, 1
	BRA         L_main286
	NOP
	NOP
;MirrorClock.c,1171 :: 		Soft_SPI_Init();                        // Initialize Soft_SPI for MAX7912
	CALL        _Soft_SPI_Init+0, 0
;MirrorClock.c,1172 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_main287:
	DECFSZ      R13, 1, 1
	BRA         L_main287
	DECFSZ      R12, 1, 1
	BRA         L_main287
	DECFSZ      R11, 1, 1
	BRA         L_main287
	NOP
	NOP
;MirrorClock.c,1173 :: 		init_MAX7219();                         //init the MAX7219 chip
	CALL        _init_MAX7219+0, 0
;MirrorClock.c,1174 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_main288:
	DECFSZ      R13, 1, 1
	BRA         L_main288
	DECFSZ      R12, 1, 1
	BRA         L_main288
	DECFSZ      R11, 1, 1
	BRA         L_main288
	NOP
	NOP
;MirrorClock.c,1176 :: 		Sound_Init(&PORTB, 4);                  //init sound for beeper
	MOVLW       PORTB+0
	MOVWF       FARG_Sound_Init_snd_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Sound_Init_snd_port+1 
	MOVLW       4
	MOVWF       FARG_Sound_Init_snd_pin+0 
	CALL        _Sound_Init+0, 0
;MirrorClock.c,1178 :: 		GIE_bit = 1;                            // global interrupt enabled
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;MirrorClock.c,1179 :: 		INTEDG2_bit = 0;                        // falling edge detection on INT2
	BCF         INTEDG2_bit+0, BitPos(INTEDG2_bit+0) 
;MirrorClock.c,1180 :: 		INT2IE_bit = 1;                         // interrupt enabled on INT2
	BSF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
;MirrorClock.c,1182 :: 		Clear_Strip();                          //turn off all leds
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,1184 :: 		Get_Time();                             //get the current time and date
	CALL        _Get_Time+0, 0
;MirrorClock.c,1186 :: 		temp = read_ds1307(0);                  //read seconds
	CLRF        FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
;MirrorClock.c,1187 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_main289:
	DECFSZ      R13, 1, 1
	BRA         L_main289
	DECFSZ      R12, 1, 1
	BRA         L_main289
	NOP
	NOP
;MirrorClock.c,1188 :: 		temp &= 0x7F;
	MOVLW       127
	ANDWF       _temp+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _temp+0 
;MirrorClock.c,1189 :: 		write_ds1307(0, temp);                  //write seconds and start osc
	CLRF        FARG_write_ds1307_address+0 
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MirrorClock.c,1190 :: 		delay_us(500);
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L_main290:
	DECFSZ      R13, 1, 1
	BRA         L_main290
	DECFSZ      R12, 1, 1
	BRA         L_main290
	NOP
	NOP
;MirrorClock.c,1192 :: 		do
L_main291:
;MirrorClock.c,1194 :: 		if(sleep_mode)             //if Sleep_mode = 1,  sleep
	MOVF        _sleep_mode+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main294
;MirrorClock.c,1196 :: 		Blank_MAX7219();       //turn off  the 7 segs
	CALL        _Blank_MAX7219+0, 0
;MirrorClock.c,1197 :: 		Clear_Strip();         //turn off all leds
	CALL        _Clear_Strip+0, 0
;MirrorClock.c,1198 :: 		delay_ms(100);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_main295:
	DECFSZ      R13, 1, 1
	BRA         L_main295
	DECFSZ      R12, 1, 1
	BRA         L_main295
	DECFSZ      R11, 1, 1
	BRA         L_main295
	NOP
	NOP
;MirrorClock.c,1199 :: 		asm sleep;             //sleep
	SLEEP
;MirrorClock.c,1200 :: 		asm nop;
	NOP
;MirrorClock.c,1201 :: 		}
L_main294:
;MirrorClock.c,1203 :: 		if(Button(&PORTA, 3, 50, 0)) Run_Patterns(); // run the patterns routine
	MOVLW       PORTA+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       50
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main296
	CALL        _Run_Patterns+0, 0
L_main296:
;MirrorClock.c,1205 :: 		Run_Clock();              //run the clock continuously
	CALL        _Run_Clock+0, 0
;MirrorClock.c,1207 :: 		}while(1);
	GOTO        L_main291
;MirrorClock.c,1208 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
